<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Apertura Caja";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}

if (!validateCsrfToken()) {
  echo "<center>Error: Token CSRF inválido</center>";
  echo '<h2><center><a href="../login.html">Login...</a></center></h2>';
  exit();
}

// si no lo hay genera otro 
$sql = "SELECT  max(nro_rendicion) as nro_rendicion
    from rendicion 
    where id_empresa = :id_empresa
      and nro_caja  = :nro_caja
       ";
$stmt = $conn->prepare($sql);
$stmt->execute(array(
  ':id_empresa'     =>  $_SESSION['id_empresa'],
  ':nro_caja'       =>  $_POST['nro_caja']
));
$resultado = $stmt->fetch();
if ($resultado) {
  $nvo_nro_rendicion = $resultado['nro_rendicion']  + 1;
} else {
  $nvo_nro_rendicion = 1;
}


?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">

    <!-- Default box -->
    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
            <i class="fas fa-minus"></i>
          </button>
          <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
            <i class="fas fa-times"></i>
          </button>
        </div>
      </div>



      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">Apertura Caja</h3>
        </div>
        <!-- /.card-header -->
        <!-- form start -->
        <form>
          <div class="card-body">

            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <label for="nro_caja">Nro Caja</label>
                  <input type="number" class="form-control form-control-sm" id="nro_caja" name="nro_caja" placeholder="" value="<?php echo $_POST['nro_caja']; ?>" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="nro_rendicion">Nro Rendición</label>
                  <input type="number" class="form-control form-control-sm" id="nro_rendicion" name="nro_rendicion" placeholder="" value="<?php echo $nvo_nro_rendicion; ?>" readonly>
                </div>
              </div>
            </div>



          </div>


          <div class="card-footer">
            <!--
                  <button type="submit" class="btn btn-primary">Guardar</button>
                   -->
            <button type="button" class="btn btn-primary" onclick="abrir_caja()" data-dismiss="modal">Abrir Caja</button>
          </div>



      </div>
      <!-- /.card-body -->

      <div class="card-footer">
        <!--
                  
                   -->

      </div>
      </form>
    </div>






    <div id="responseMessage"></div>
    <!-- /.card-body -->
    <div class="card-footer">

    </div>
    <!-- /.card-footer-->
</div>
<!-- /.card -->

</section>
<!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>


<script>
  function abrir_caja() {

    const nro_caja = $('#nro_caja').val();
    const nro_rendicion = $('#nro_rendicion').val();


    console.log(nro_caja);

    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'funciones/postData.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: JSON.stringify({
        tipo: 'apertura_caja',
        nro_caja: nro_caja,
        nro_rendicion: nro_rendicion
      }),
      
      contentType: 'application/json',
      success: function(response) {

        var obj = jQuery.parseJSON(response);
        var ack = obj.ack;


           // Si la respuesta es satisfactoria, redirigir a otro formulario
    if (ack === 1) { // Asegúrate de que 'success' sea la clave que retorna tu funciones
      window.location.href = 'elegir_caja.php'; // Redirigir a la página deseada
    }
/*
        myNotify = new Notify({
          status: 'warning',
          title: 'Atención',
          text: retorno,
          effect: 'slide',
          type: 'filled',
          position: 'right bottom'
        })
*/
        // $('#responseMessage').html('<p>Datos guardado</p>');
       // console.log('Datos guardados con éxito:', response);


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al guardar los datos</p>');
        console.error('Error al guardar los datos:', error);
      }
    });





  }
</script>