<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Arqueo a Ciega";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}

$cerrado = 0;

$sql = "SELECT  a.*, b.id_usuario, c.nombres, c.apellidos, d.nombre_empresa
        from rendicion as a
        inner join caja as b 
        on a.nro_caja = b.nro_caja
        INNER JOIN usuarios as c 
        on b.id_usuario = c.id
        INNER JOIN empresas as d 
        on a.id_empresa = d.id  
        where a.id_empresa = :id_empresa
        and a.id_usuario  = :id_usuario
        and a.fecha_apertura = :fecha_apertura 
        and fecha_cierre is null ";
$stmt = $conn->prepare($sql);
$stmt->execute(array(
  ':id_empresa'     =>  $_SESSION['id_empresa'],
  ':id_usuario'     =>  $_SESSION['id_usuario'],
  ':fecha_apertura' =>  date("Y-m-d")

));
$resultado = $stmt->fetch();
if ($resultado) {
} else {


  echo "<center> La Caja está cerrada</center>";
  echo '<h2><center><a href="elegir_caja.php">Elegir Caja</a> </center></h2>';

  exit();
}


?>


<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">

  <!-- Main content -->
  <section class="content">

    <!-- Default box -->
    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
            <i class="fas fa-minus"></i>
          </button>
          <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
            <i class="fas fa-times"></i>
          </button>
        </div>
      </div>



      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">Arqueo de Caja a Ciega</h3>
        </div>
        <!-- /.card-header -->
        <!-- form start -->

        <form id="currencyForm">

          <div class="card-body">

            <div class="row">

              <div class="col-md-3">
                <div class="form-group">
                  <label for="currencyType">Selecciona la moneda</label>
                  <select id="currencyType" name="moneda" class="form-control" required>
                    <option value="" disabled selected>Seleccione...</option>
                    <option value="PYG">PYG</option>
                    <option value="USD">USD</option>
                  </select>
                </div>
              </div>



              <div class="col-md-3">
                <div class="form-group">
                  <label for="nro_caja">Nro. Caja</label>
                  <input type="number" id="nro_caja" name="nor_caja" value="<?php echo $resultado['nro_caja']; ?>" class="form-control" readonly required>
                </div>
              </div>




              <div class="col-md-3">
                <div class="form-group">
                  <label for="nro_rendicion">Nro. Rendición</label>
                  <input type="number" id="nro_rendicion" name="nro_rendicion" value="<?php echo $resultado['nro_rendicion']; ?>" class="form-control" readonly required>
                </div>
              </div>



            </div>


            <div class="row">

              <div class="col-md-3">
                <div class="form-group">
                  <label for="denomination">Tipo de moneda</label>
                  <select id="denomination" class="form-control" required>
                    <option value="" disabled selected>Seleccione...</option>
                    <option value="100000">100.000</option>
                    <option value="50000">50.000</option>
                    <option value="10000">10.000</option>
                    <option value="20000">20.000</option>
                    <option value="10000">10.000</option>
                    <option value="5000">5.000</option>
                    <option value="2000">2.000</option>
                    <option value="1000">1.000</option>
                    <option value="500">500</option>
                    <option value="100">100</option>
                    <option value="50">50</option>

                  </select>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="units">Unidades</label>
                  <input type="number" id="units" class="form-control" min="1" required>
                </div>
              </div>




              <div class="col-md-4 d-flex align-items-end">
                <button type="button" class="btn btn-warning w-100" id="addRow">Agregar</button>
              </div>



            </div>



          </div>



        </form>


        <!-- Tabla de resultados -->
        <table class="table table-bordered">
          <thead class="table-success">
            <tr>
              <th>MONEDA</th>
              <th>DENOMINACIÓN</th>
              <th>UNIDADES</th>
              <th>TOTAL</th>
              <th>ACCIÓN</th>
            </tr>
          </thead>
          <tbody id="currencyTableBody"></tbody>
          <tfoot>
            <tr>
              <th colspan="3" class="text-end">SUMA TOTAL</th>
              <th id="totalSum">0</th>
            </tr>
          </tfoot>
        </table>

        <!-- Botón para guardar -->
        <div class="text-center mt-3">
          <button id="saveData" class="btn btn-success d-inline-block me-2" type="button">ENTREGA A TESORERIA</button>

          <button type="button" class="btn btn-warning d-inline-block" data-toggle="modal" data-target="#depositModal">DEPOSITO DE VALOR</button>

        </div>



      </div>








  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->


<?php
include("plantilla_pie.php");

?>

<script>
 let depositModal;

  // Inicializar el modal
  document.addEventListener("DOMContentLoaded", function() {
    depositModal = new bootstrap.Modal(document.getElementById('depositModal'));
  });

  // Cerrar modal
  function cerrarModal() {
   // document.getElementById("depositForm").reset();
    depositModal.hide();
  }


  document.getElementById('addRow').addEventListener('click', () => {
    const currencyType = document.getElementById('currencyType').value;
    const denomination = document.getElementById('denomination').value;
    const units = document.getElementById('units').value;

    if (currencyType && denomination && units) {
      const total = denomination * units;

      // Crear fila de la tabla
      const tbody = document.getElementById('currencyTableBody');
      const row = document.createElement('tr');

      row.innerHTML = `
                <td>${currencyType}</td>
                <td>${parseInt(denomination).toLocaleString()}</td>
                <td>${units}</td>
                <td>${total.toLocaleString()}</td>
                <td><button class="btn btn-danger btn-sm deleteRow">Eliminar</button></td>
            `;

      tbody.appendChild(row);

      // Actualizar suma total
      updateTotalSum(total);

      // Limpiar campos
      document.getElementById('denomination').value = '';
      document.getElementById('units').value = '';
    } else {
      alert('Por favor, complete todos los campos antes de agregar.');
    }
  });

  // Eliminar fila y actualizar suma total
  document.getElementById('currencyTableBody').addEventListener('click', (event) => {
    if (event.target.classList.contains('deleteRow')) {
      const row = event.target.closest('tr');
      const total = parseInt(row.children[3].textContent.replace(/\./g, ''));
      updateTotalSum(-total);
      row.remove();
    }
  });

  // Actualizar suma total
  function updateTotalSum(amount) {
    const totalSumElement = document.getElementById('totalSum');
    // const currentSum = parseInt(totalSumElement.textContent.replace(/,/g, '')) || 0;
    const currentSum = parseInt(totalSumElement.textContent.replace(/\./g, '')) || 0;
    totalSumElement.textContent = (currentSum + amount).toLocaleString();


  }

 

  // Guardar datos mediante AJAX
  document.getElementById('saveData').addEventListener('click', () => {
    const rows = document.querySelectorAll('#currencyTableBody tr');
    const nroCaja = document.getElementById('nro_caja').value; // Obtener el valor de nro_caja
    const moneda = document.getElementById('currencyType').value; // Obtener el valor de nro_caja
    const nro_rendicion = document.getElementById('nro_rendicion').value; // Obtener el valor de nro_caja
    //const totalSum = totalSumElement.textContent; // Obtener el valor de nro_caja
    const totalSum = document.getElementById('totalSum').textContent;


   
    const boleta_deposito = document.getElementById('boleta_deposito').value;
    const fecha_deposito = document.getElementById('fecha_deposito').value;
    const banco = document.getElementById('banco').value;


    if (rows.length === 0) {
      alert('No hay datos para guardar.');
      return;
    }

    const data = {
      tipo: 'caja_ciega',
      nro_caja: nroCaja,
      moneda: moneda,
      totalSum: totalSum,
      nro_rendicion: nro_rendicion,
      
      boleta_deposito: boleta_deposito,
      fecha_deposito: fecha_deposito,
      banco: banco,
      detalles: [] // Inicializar el array para los datos de la tabla
    };

    rows.forEach(row => {
      const cells = row.querySelectorAll('td');
      data.detalles.push({
        moneda: cells[0].textContent,
        denominacion: parseInt(cells[1].textContent.replace(/,/g, '')),
        unidades: parseInt(cells[2].textContent),
        total: parseInt(cells[3].textContent.replace(/,/g, ''))
      });
    });

    console.log(data);

    // Enviar datos al servidor mediante AJAX
    fetch('funciones/postDataCaja.php', {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify(data)
      })
      .then(response => response.json())
      .then(result => {
        if (result.success) {
          alert('Datos guardados exitosamente.');
          // Limpiar tabla y suma total
          document.getElementById('currencyTableBody').innerHTML = '';
          document.getElementById('totalSum').textContent = '0';
        } else {
          alert('Error al guardar los datos.');
        }
      })
      .catch(error => {
        console.error('Error:', error);
        alert('Ocurrió un error al guardar los datos.');
      });
  });

// Asignar la función al botón del modal
//document.getElementById('saveDataDeposito').addEventListener('click', guardarDatos);

  function guardarDatos() {
    const rows = document.querySelectorAll('#currencyTableBody tr');
    const nroCaja = document.getElementById('nro_caja').value; // Obtener el valor de nro_caja
    const moneda = document.getElementById('currencyType').value; // Obtener el valor de nro_caja
    const nro_rendicion = document.getElementById('nro_rendicion').value; // Obtener el valor de nro_caja
    //const totalSum = totalSumElement.textContent; // Obtener el valor de nro_caja
    const totalSum = document.getElementById('totalSum').textContent;


    
    const boleta_deposito = document.getElementById('boleta_deposito').value;
    const fecha_deposito = document.getElementById('fecha_deposito').value;
    const banco = document.getElementById('banco').value;


    if (rows.length === 0) {
      alert('No hay datos para guardar.');
      return;
    }

    const data = {
      tipo: 'caja_ciega',
      deposito: 'deposito',
      nro_caja: nroCaja,
      moneda: moneda,
      totalSum: totalSum,
      nro_rendicion: nro_rendicion,
      
      boleta_deposito: boleta_deposito,
      fecha_deposito: fecha_deposito,
      banco: banco,
      detalles: [] // Inicializar el array para los datos de la tabla
    };

    rows.forEach(row => {
      const cells = row.querySelectorAll('td');
      data.detalles.push({
        moneda: cells[0].textContent,
        denominacion: parseInt(cells[1].textContent.replace(/,/g, '')),
        unidades: parseInt(cells[2].textContent),
        total: parseInt(cells[3].textContent.replace(/,/g, ''))
      });
    });

    console.log(data);

    // Enviar datos al servidor mediante AJAX
    fetch('funciones/postDataCaja.php', {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify(data)
      })
      .then(response => response.json())
      .then(result => {
        if (result.success) {
          alert('Datos guardados exitosamente.');
          // Limpiar tabla y suma total
          $('#depositModal').modal('hide'); // Cerrar el modal

          document.getElementById('currencyTableBody').innerHTML = '';
          document.getElementById('totalSum').textContent = '0';
          
          
         

        } else {
          alert('Error al guardar los datos.');
        }
      })
      .catch(error => {
        console.error('Error:', error);
        alert('Ocurrió un error al guardar los datos.');
      });
  }
</script>




<div class="modal fade" id="depositModal" tabindex="-1" aria-labelledby="addContactLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="addContactLabel">Agregar Datos para el Depoito</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="depositForm">

          <div class="mb-3">
            <label for="boleta_deposito" class="form-label">N° de Boleta de Depósito</label>
            <input type="text" class="form-control" id="boleta_deposito" placeholder="Ingrese el número de boleta" required>
          </div>
          <div class="mb-3">
            <label for="banco" class="form-label">Banco a Depositar</label>
            <select class="form-control" id="banco" required>
              <option value="" disabled selected>Seleccione un banco</option>
              <option value="1">Banco A</option>
              <option value="2">Banco B</option>
              <option value="3">Banco C</option>
            </select>
          </div>
          <div class="mb-3">
            <label for="fecha_deposito" class="form-label">Fecha de Valor</label>
            <input type="date" class="form-control" id="fecha_deposito" required>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="saveDataDeposito" onclick="guardarDatos()">Guardar</button>

      </div>
    </div>
  </div>
</div>