<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Asignar Recurso/Usuario";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">

    <!-- Default box -->
    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
            <i class="fas fa-minus"></i>
          </button>
          <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
            <i class="fas fa-times"></i>
          </button>
        </div>
      </div>



      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">Mantenimiento de Recursos por Rol</h3>
        </div>


        <h1 class="mt-4">Asignar Recursos a Rol</h1>
    
        <!-- Formulario para seleccionar el usuario -->
        <form id="form-recurso-usuario" >
        

          <div class="form-group">
            <label for="rol">Seleccionar Rol:</label>
            <select id="rol" name="rol" class="form-control" onchange="cargarRecursos()">
              <option value="">Seleccionar Usuario:</option>
              <?php
              $sql_uo = "SELECT  * from rol where estado = 1  order by nombre ASC ";
              $stmt = $conn->prepare($sql_uo);
              $stmt->execute();
              $resultado_uo = $stmt->fetchAll();
              foreach ($resultado_uo as $row_uo) {
                echo "<option value=" . $row_uo['id'] . ">" . $row_uo['nombre'] . "</option>";
              }
              ?>

            </select>
          </div>

          
    

          <!-- Contenedor de los recursos asignados al usuario seleccionado -->
          <div id="recursos-asignados" class="form-group">
            <label>Recursos asignados:</label>
            <div id="lista-recursos">
              <!-- Aquí se cargan dinámicamente los recursos -->
            </div>
          </div>



          <!-- Opción para copiar recursos de otro usuario -->
          <div class="form-group">
            <label for="rol-copy">Copiar recursos de otro Rol:</label>
            <select id="rol-copy" class="form-control" onchange="copiarRecursos()">
              <option value="">Selecciona un usuario</option>
              <?php
              $sql_un = "SELECT  * from rol where estado = 1  order by nombre ASC ";
              $stmt = $conn->prepare($sql_un);
              $stmt->execute();
              $resultado_un = $stmt->fetchAll();
              foreach ($resultado_un as $row_un) {
                echo "<option value=" . $row_un['id'] . ">" . $row_un['nombre'] . "</option>";
              }
              ?>
            </select>
          </div>

          <!-- Botón para guardar los cambios -->
          
          <button type="button" class="btn btn-success" id="guardar-recursos">Guardar cambios</button>
        </form>











      </div>






      <div id="responseMessage"></div>
      <!-- /.card-body -->
      <div class="card-footer">

      </div>
      <!-- /.card-footer-->
    </div>
    <!-- /.card -->

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>


<script>
 
 $(document).ready(function () {
  // Al hacer clic en el botón "Guardar cambios"
  $('#guardar-recursos').click(function () {
    // Recopilar los datos del formulario
    var usuarioId = $('#rol').val();
    var recursosSeleccionados = [];
    
    // Recoger los id_recurso seleccionados
    $('input[name="recursos[]"]:checked').each(function () {
      recursosSeleccionados.push($(this).val());
    });

    // Verificar que se haya seleccionado un usuario y recursos
    if (usuarioId === '') {
      alert('Debes seleccionar un Rol');
      return;
    }

    // Enviar la solicitud AJAX
    $.ajax({
      url: 'funciones/postData.php',
      method: 'POST',
      data: JSON.stringify({
        tipo: 'guardar_recursos',
        rol: usuarioId,
        recursos: recursosSeleccionados
      }),
      success: function (response) {
        console.log(response); // Mostrar la respuesta del servidor

       var obj = jQuery.parseJSON(response);
        var retorno = obj.message;
        var ack = obj.ack;
      

        myNotify = new Notify({
          status: 'warning',
          title: 'Retorno',
          text: retorno,
          effect: 'slide',
          type: 'filled',
          position: 'right bottom'
        })

      

      },
      error: function (xhr, status, error) {
        console.error(error);
      }
    });
  });
});




  function cargarRecursos() {
    var id_rol = $('#rol').val();
  if (id_rol) {
    $.ajax({
      url: 'funciones/getData.php',
      method: 'POST',
      data: JSON.stringify({
        tipo: 'obtener_recursos',
        id_rol: id_rol
      }),
      success: function(response) {
        let recursos = JSON.parse(response);
        let html = `
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="toggle-all" onclick="toggleCheckboxes(this)">
            <label class="form-check-label" for="toggle-all">
              Seleccionar/Deseleccionar Todos
            </label>
          </div>
        `;

        recursos.forEach(function(recurso) {
          html += `<div class="form-check">
                    <input class="form-check-input" type="checkbox" name="recursos[]" value="${recurso.id}" id="recurso-${recurso.id}" checked>
                    <label class="form-check-label" for="recurso-${recurso.id}">
                      ${recurso.titulo}
                    </label>
                  </div>`;
        });
        $('#lista-recursos').html(html);
      }
    });
  } else {
    $('#lista-recursos').html('');
  }
    }

    // Función para copiar los recursos de otro usuario
    function copiarRecursos() {
      var id_rol_copy = $('#rol-copy').val();
      if (id_rol_copy) {
        $.ajax({
          url: 'funciones/getData.php',
          method: 'POST',
          data: JSON.stringify({
        tipo: 'obtener_recursos',
        id_rol: id_rol_copy
       
      }),
          //{ id_usuario: id_rol },
          success: function(response) {
            let recursos = JSON.parse(response);
            let html = `
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="toggle-all" onclick="toggleCheckboxes(this)">
            <label class="form-check-label" for="toggle-all">
              Seleccionar/Deseleccionar Todos
            </label>
          </div>
        `;
            recursos.forEach(function(recurso) {
              html += `<div class="form-check">
                    <input class="form-check-input" type="checkbox" name="recursos[]" value="${recurso.id}" id="recurso-${recurso.id}" checked>
                    <label class="form-check-label" for="recurso-${recurso.id}">
                      ${recurso.titulo}
                    </label>
                  </div>`;
            });
            $('#lista-recursos').html(html); // Reemplaza los recursos actuales con los copiados
          }
        });
      }
    }


    function toggleCheckboxes(source) {
  // Cambia el estado de todos los checkboxes basados en el checkbox global
  $('input[name="recursos[]"]').prop('checked', source.checked);
}
</script>