<?php
//include("plantilla_cabecera.php");
require_once('../../joajurehegua.php');
require_once('obtenerNroDocumento.php');

if (!validateCsrfToken()) {
  echo "<center>Error: Token CSRF inválido</center>";
  echo '<h2><center><a href="../login.php">Login...</a></center></h2>';
  exit();
}

if (!empty($_GET['id'])) {
  $id = $_GET['id'];
  $sql = "SELECT  * from creditos where id = :id ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id));
  $resultado = $stmt->fetch();
}
?>
<!-- Content Wrapper. Contains page content -->
<div class="row">
  <div class="container-fluid">

    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Aprobar/Rechazar Crédito</h3>
      </div>

      <form action="api/aprobar_credito.php" method="post" enctype="multipart/form-data">
        <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">
        <div class="card-body">

          <div class="form-group">
            <label for="id_credito">Nro Crédito</label>
            <input type="text" class="form-control form-control-sm" id="id_credito" name="id_credito" placeholder="" value="<?php echo $resultado['id']; ?>" readonly>
          </div>


          <div class="form-group">
            <label for="estado">Estado</label>
            <select type="number" name="estado" id="estado" class="form-control needValidate">
              <option value="">Seleccione</option>
              <?php
              $sql_pa = "SELECT  * from estado_credito where estado = 1 and id > 2 order by id ASC ";
              $stmt = $conn->prepare($sql_pa);
              $stmt->execute();
              $resultado_pa = $stmt->fetchAll();
              foreach ($resultado_pa as $row_pa) {
                echo "<option value=" . $row_pa['id'] . ">" . $row_pa['nombre'] . "</option>";
              }
              ?>

            </select>
          </div>

          <div class="form-group">
            <label for="actanro">Acta Número</label>
            <input type="number" class="form-control form-control-sm" id="actanro" name="actanro" placeholder="" value="" required>
          </div>

          <div class="form-group">
            <label for="observacion">Observación</label>
            <input type="text" class="form-control form-control-sm" id="observacion" name="observacion" placeholder="" value="">
          </div>

        </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" name="guardar" class="btn btn-primary">Guardar</button>

        </div>
      </form>
    </div>


  </div>
  <!-- /.content -->
</div>


<?php
if (isset($_POST['guardar'])) {

  $sql = "UPDATE creditos SET  estado        = :estado,
                              fecha_estado   = :fecha_estado,
                              hora_estado    = :hora_estado,
                              usuario_estado = :usuario_estado,
                              actanro        = :actanro,
                              observacion    = :observacion
                              
                                 WHERE id    = :id_credito";


  try {

    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
      ':estado'          => $_POST['estado'],
      ':fecha_estado'    => date("Y-m-d"),
      ':hora_estado'     => date("H:i:s"),
      ':usuario_estado'  => $_SESSION['id_usuario'],
      ':actanro'         => $_POST['actanro'],
      ':observacion'     => $_POST['observacion'],
      ':id_credito'      => $_POST['id_credito']
    ));


    /*generar aporte solo si se aprobo como socio */

    generar_ctacte($conn,  $_POST['id_credito']);

    // echo "<meta http-equiv='refresh' content='0;url=pages/dashboard.php'>";
    echo '<script language="javascript">window.location.href="../reporte_creditos_pendientes.php"</script>';
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
    //echo '<script language="javascript">window.location.href="../reporte_creditos_pendientes.php"</script>';
    var_dump($Exception);
    exit();
  }
}


function generar_ctacte($conn,  $id_credito)
{

  $sql = "SELECT z.*
  FROM creditos as z
  where z.id = :id
   ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id_credito));
  $resultado = $stmt->fetch();


  // detalles de creditos
  $sql_det = "SELECT  a.*
    FROM credito_detalles as a
    where id_credito = :id_credito ";
  $stmt = $conn->prepare($sql_det);
  $stmt->execute(array(':id_credito' => $id_credito));
  //$stmt->execute(array());
  $resultado_det = $stmt->fetchAll();

  $nro_documento = "";
  $nro_documento = generarGrupoId($conn); // Función para generar un ID de agrupación


  $referencia             = null;
  $clase_documento        = "PT";
  $indicador_d_h          = "D";
  $clave_contabilizacion  = 11;
  $impuesto               = 10;
  $id_cuenta_mayor            = "1.1.2.01.01.01.0002";

  guardar_tabla_contable_cab($conn, $nro_documento, $resultado['id_cliente'], $resultado['nro_socio'], $resultado['monto_total'], $clase_documento, $referencia);


$posicion_h  = 0;

  foreach ($resultado_det as $row_det) {

         $posicion_h  ++;
      
      

$cuota           = $row_det['nro_cuota'] . '/' . $resultado['plazo'];
$texto_posicion  = 'PT-' . $resultado['id'];


    $sql = $conn->prepare('INSERT INTO cuenta_corriente (nro_documento, id_empresa, id_cliente, nro_socio, factura, clase_documento, cuota, posicion, fecha, hora, id_usuario, clave_contabilizacion, 
       indicador_d_h, texto_posicion, moneda, importe, impuesto, id_cuenta_mayor, estado, vencimiento, interes, nro_credito, tipo_credito, referencia_documento) VALUES (:nro_documento, :id_empresa, :id_cliente, :nro_socio, :factura, :clase_documento, :cuota, 
       :posicion, :fecha, :hora, :id_usuario, :clave_contabilizacion, :indicador_d_h, :texto_posicion, :moneda, :importe, :impuesto, :id_cuenta_mayor, :estado, :vencimiento, :interes,
       :nro_credito, :tipo_credito, :referencia_documento )');

    $bind =  array(
      ':nro_documento'         => $nro_documento,
      ':id_empresa'            => $_SESSION['id_empresa'],
      ':nro_socio'             => $resultado['nro_socio'],
      ':id_cliente'            => $resultado['id_cliente'],
      ':factura'               => null,
      ':clase_documento'       => $clase_documento,
      ':cuota'                 => $cuota,
      ':posicion'              => $row_det['nro_cuota'],
      ':fecha'                 => date("Y-m-d"),
      ':hora'                  => date("H:i:s"),
      ':id_usuario'            => $_SESSION['id_usuario'],
      ':clave_contabilizacion' => $clave_contabilizacion,
      ':indicador_d_h'         => $indicador_d_h,
      ':texto_posicion'        => $texto_posicion,
      ':moneda'                => $row_det['moneda'],
      ':importe'               => $row_det['cuota'],
      ':impuesto'              => $impuesto,
      ':id_cuenta_mayor'           => $id_cuenta_mayor,
      ':estado'                => 0,
      ':vencimiento'           => $row_det['vencimiento'],
      ':interes'               => $row_det['interes'],
      ':nro_credito'           => $row_det['id_credito'],
      ':tipo_credito'          => $resultado['id_tipo_credito'],
      ':referencia_documento'  => $nro_documento


    );




    try {
      $sql->execute($bind);
      
      guardar_tabla_contable_det($conn, $nro_documento,$row_det['nro_cuota'],$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,$cuota,$clase_documento,$indicador_d_h,$texto_posicion,$row_det['moneda'],$row_det['cuota'],$row_det['interes'],$impuesto,$id_cuenta_mayor,null,null,null,null );
      //  $solicitud_id = $conn->lastInsertId();
      //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
      // conjuge($data, $conn, $solicitud_id);
      // echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
      var_dump($Exception);
      exit();
      // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
    }
  }


    /*
PT-SOCIO-1	PYG	406.410		I0	1.1.2.03.01.01.0003
PT-SOCIO-1 - Capital Suscripto	PYG	30.000		I0	3.1.1.01.01.01.0001
PT-SOCIO-1 - Comisiones s/ Préstamos Amortizables	PYG	150.000		I0	4.1.1.01.02.01.0001
PT-SOCIO-1 - Fondo p/ Protección de Préstamos	PYG	60.000		I0	2.1.2.03.02.03.0001
PT-SOCIO-1 - Fondo para Prestamos	PYG	3.000.000		I0	1.1.1.01.01.02.0001
*/
$total_aporte = 0;

//PT-SOCIO
  if($resultado['monto_total'] > 0){

    $posicion_h  = $posicion_h + 1;
    $cuenta ="1.1.2.03.01.01.0003";
    $monto_h = $resultado['monto_total'];
    $clave_contabilizacion = 11;
    $texto_aux = 'PT-SOCIO'."-".$resultado['id'];
    $texto_posicion = $texto_aux;
  guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}

//Capital Suscripto
if($resultado['monto_solicitado'] > 0){

  $posicion_h  = $posicion_h + 1;
  $cuenta ="3.1.1.01.01.01.0001";
  $monto_h = $resultado['monto_solicitado'];
  $clave_contabilizacion = 11;
  $texto_posicion = $texto_aux.'-'.'Capital Suscripto';

guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}


//Comisiones s/ Préstamos Amortizables
if($resultado['gasto_admin'] > 0){

  $posicion_h  = $posicion_h + 1;
  $cuenta ="4.1.1.01.02.01.0001";
  $monto_h = (($resultado['monto_solicitado'] * $resultado['gasto_admin']) / 100);
  $clave_contabilizacion = 11;
  $texto_posicion = $texto_aux.'-'.'Comisiones s/ Préstamos Amortizables';

guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}

//Fondo p/ Protección de Préstamos
if($resultado['seguro_credito'] > 0){

  $posicion_h  = $posicion_h + 1;
  $cuenta ="2.1.2.03.02.03.0001";
  $monto_h =  (($resultado['monto_solicitado'] * $resultado['seguro_credito']) / 100);
  $clave_contabilizacion = 11;
  $texto_posicion = $texto_aux.'-'.'Fondo p/ Protección de Préstamos';

guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}


//Fondo para Prestamos
if($resultado['gasto_operacion'] > 0){

  $posicion_h  = $posicion_h + 1;
  $cuenta ="1.1.1.01.01.02.0001";
  $monto_h = (($resultado['monto_solicitado'] * $resultado['gasto_operacion']) / 100);
  $clave_contabilizacion = 11;
  $texto_posicion = $texto_aux.'-'.'Fondo para Prestamos';

guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}


}









function guardar_tabla_contable_cab($conn, $nro_documento, $id_cliente, $nro_socio, $importe, $clase_documento, $referencia)
{
  $sql = $conn->prepare('INSERT INTO cabecera_contable (
id_empresa,
nro_documento,
id_cliente,
nro_socio,
importe,
fecha_doc,
ejercicio,
clase_documento,
referencia,
fecha,
hora,

id_usuario
) VALUES (
:id_empresa,
:nro_documento,
:id_cliente,
:nro_socio,
:importe,
:fecha_doc,
:ejercicio,
:clase_documento,
:referencia,
:fecha,
:hora,

:id_usuario
 )');

  $bind =  array(

    ':id_empresa'            => $_SESSION['id_empresa'],
    ':nro_documento'         => $nro_documento,
    ':id_cliente'            => $id_cliente,
    ':nro_socio'             => $nro_socio,
    ':importe'               => $importe,
    ':fecha_doc'             => date("Y-m-d"),
    ':ejercicio'             => date("Y"),
    ':clase_documento'       => $clase_documento,
    ':referencia'            => $referencia,

    ':fecha'                 => date("Y-m-d"),
    ':hora'                  => date("H:i:s"),

    ':id_usuario'            => $_SESSION['id_usuario']


  );




  try {
    $sql->execute($bind);
    //  $solicitud_id = $conn->lastInsertId();
    //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
    // conjuge($data, $conn, $solicitud_id);
    // echo json_encode(array("message" => "Datos guardados con exito"));
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
    //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
    var_dump($Exception);
    exit();
    // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
  }
}




function guardar_tabla_contable_det($conn, $nro_documento,$posicion,$clave_contabilizacion,$id_cliente,$nro_socio,$referencia,$cuota,$clase_documento,$indicador_d_h,$texto_posicion,$moneda,$importe,$interes,$impuesto,
$id_cuenta_mayor,$indicador_cme,$nro_compensacion,$fecha_compensacion,$hora_compensacion ){
  $sql = $conn->prepare('INSERT INTO detalles_contable (

id_empresa,
nro_documento,
posicion,
clave_contabilizacion,
fecha,
hora,
id_cliente,
nro_socio,
referencia,
cuota,
clase_documento,
indicador_d_h,
texto_posicion,
moneda,
importe,
interes,
impuesto,
id_cuenta_mayor,
indicador_cme,
nro_compensacion,
fecha_compensacion,
hora_compensacion,
id_usuario


) VALUES (
:id_empresa,
:nro_documento,
:posicion,
:clave_contabilizacion,
:fecha,
:hora,
:id_cliente,
:nro_socio,
:referencia,
:cuota,
:clase_documento,
:indicador_d_h,
:texto_posicion,
:moneda,
:importe,
:interes,
:impuesto,
:id_cuenta_mayor,
:indicador_cme,
:nro_compensacion,
:fecha_compensacion,
:hora_compensacion,
:id_usuario

 )');

   $bind =  array(
    
     ':id_empresa'            => $_SESSION['id_empresa'],
     ':nro_documento'         => $nro_documento,
     ':posicion'              => $posicion,
     ':clave_contabilizacion' => $clave_contabilizacion,
     ':fecha'                 => date("Y-m-d"),
     ':hora'                  => date("H:i:s"),
     ':id_cliente'            => $id_cliente,
     ':nro_socio'             => $nro_socio,
     ':referencia'            => $referencia,
     ':cuota'                 => $cuota,
     ':clase_documento'       => $clase_documento,
     ':indicador_d_h'         => $indicador_d_h,
     ':texto_posicion'        => $texto_posicion,
     ':moneda'                => $moneda,
     ':importe'               => $importe,
     ':interes'               => $interes,
     ':impuesto'              => $impuesto,
     ':id_cuenta_mayor'       => $id_cuenta_mayor,
     ':indicador_cme'         => $indicador_cme,
     ':nro_compensacion'      => $nro_compensacion,
     ':fecha_compensacion'    => $fecha_compensacion,
     ':hora_compensacion'     => $hora_compensacion,
     ':id_usuario'            => $_SESSION['id_usuario']
     

   );




   try {
     $sql->execute($bind);
     //  $solicitud_id = $conn->lastInsertId();
     //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
     // conjuge($data, $conn, $solicitud_id);
    // echo json_encode(array("message" => "Datos guardados con exito"));
   } catch (PDOException $Exception) {
     error_log('Error insertando: ' . json_encode($Exception));
     //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
     //var_dump($Exception);
     //exit();
      echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
   }
}
?>