<?php


 require_once('../../joajurehegua.php');
 function verClientes($cliente){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT 
    cli.*, 
    cli.id_cliente AS origina_cliente, 
    ec.nombre AS estado_civil, 
    gen.nombre AS genero, 
    pais.nombre AS pais_cliente, 
    dep.nombre AS departamento, 
    dis.nombre AS distrito, 
    ciu.nombre AS ciudad, 
    bar.nombre AS barrio,
    prof.nombre AS profesion, 
    nac.nombre AS nacionalidad_cliente, 
    ori.nombre AS origen, 
    cat.nombre AS categoria, 
    adm.nombre AS tipo_admision, 
    usu.nombres AS usuario_nombres, 
    usu.apellidos AS usuario_apellidos,
    con.*, 
    pais_ci.nombre AS nacionalidad_conyuge
FROM
    clientes AS cli
INNER JOIN
    estado_civil AS ec ON cli.id_estadocivil = ec.id
INNER JOIN
    tipo_genero AS gen ON cli.id_genero = gen.id
INNER JOIN
    pais AS pais ON cli.id_pais = pais.id
INNER JOIN
    departamento AS dep ON cli.id_departamento = dep.id
INNER JOIN
    distrito AS dis ON cli.id_distrito = dis.id
INNER JOIN
    ciudad AS ciu ON cli.id_ciudad = ciu.id
INNER JOIN
    barrio AS bar ON cli.id_barrio = bar.id
INNER JOIN
    tipo_profesion AS prof ON cli.id_profesion = prof.id
INNER JOIN
    nacionalidad AS nac ON cli.id_nacionalidad = nac.id
INNER JOIN
    tipo_origen AS ori ON cli.id_origen = ori.id
INNER JOIN
    categoria AS cat ON cli.id_categoria = cat.id
INNER JOIN
    tipo_admision AS adm ON cli.id_admision = adm.id
INNER JOIN
    usuarios AS usu ON cli.usuario_estado = usu.id
LEFT JOIN
    conjuge AS con ON cli.id_cliente = con.id_cliente
LEFT JOIN
    pais AS pais_ci ON con.id_nacionalidad_c = pais_ci.id
WHERE
    cli.estado = :id AND cli.id_cliente = :cliente;";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => 1,
        ':cliente' =>$cliente
    ]);
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Devuelve el resultado como un array asociativo
    
    return $resultado; // Si no hay resultado, devuelve un arreglo vacío
}

function verDetalleEmpresa(){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro
    
    $sql = "SELECT * FROM empresas";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Devuelve el resultado como un array asociativo
    
    return $resultado; // Si no hay resultado, devuelve un arreglo vacío
}

function mostrarFamiliares($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                familiares
            INNER JOIN
                tipo_relacion ON familiares.id_tipo_relacion = tipo_relacion.id
            INNER JOIN
                nivel_estudio ON nivel_estudio.id = familiares.id_nivel_estudio
            WHERE
                familiares.id_cliente = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}
function mostrarReferencias($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                referencias
            INNER JOIN
                tipo_referencia ON referencias.id_tipo_referencia = tipo_referencia.id
            WHERE
                referencias.id_cliente = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function mostrarProponente($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                clientes
            WHERE
                id_cliente = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function clienteFactura($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                clientes
            WHERE
                id_cliente = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Devuelve el resultado como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function verMobCab($id) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT a.*, b.nombres, b.apellidos 
            FROM movimiento_caja_cab as a 
                inner join usuarios as  b
                on a.id_usuario = b.id 
            WHERE
                a.id= :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id
    ]);
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}
function verMobItem($documento) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                cuenta_corriente
            WHERE
                nro_compensacion= :documento ";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':documento' => $documento
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function numtoletras($xcifra)
{
    $xarray = array(0 => "Cero",
        1 => "UN", "DOS", "TRES", "CUATRO", "CINCO", "SEIS", "SIETE", "OCHO", "NUEVE",
        "DIEZ", "ONCE", "DOCE", "TRECE", "CATORCE", "QUINCE", "DIECISEIS", "DIECISIETE", "DIECIOCHO", "DIECINUEVE",
        "VEINTI", 30 => "TREINTA", 40 => "CUARENTA", 50 => "CINCUENTA", 60 => "SESENTA", 70 => "SETENTA", 80 => "OCHENTA", 90 => "NOVENTA",
        100 => "CIENTO", 200 => "DOSCIENTOS", 300 => "TRESCIENTOS", 400 => "CUATROCIENTOS", 500 => "QUINIENTOS", 600 => "SEISCIENTOS", 700 => "SETECIENTOS", 800 => "OCHOCIENTOS", 900 => "NOVECIENTOS"
    );
//
    $xcifra = trim($xcifra);
    $xlength = strlen($xcifra);
    $xpos_punto = strpos($xcifra, ".");
    $xaux_int = $xcifra;
    $xdecimales = "00";
    if (!($xpos_punto === false)) {
        if ($xpos_punto == 0) {
            $xcifra = "0" . $xcifra;
            $xpos_punto = strpos($xcifra, ".");
        }
        $xaux_int = substr($xcifra, 0, $xpos_punto); // obtengo el entero de la cifra a covertir
        $xdecimales = substr($xcifra . "00", $xpos_punto + 1, 2); // obtengo los valores decimales
    }

    $XAUX = str_pad($xaux_int, 18, " ", STR_PAD_LEFT); // ajusto la longitud de la cifra, para que sea divisible por centenas de miles (grupos de 6)
    $xcadena = "";
    for ($xz = 0; $xz < 3; $xz++) {
        $xaux = substr($XAUX, $xz * 6, 6);
        $xi = 0;
        $xlimite = 6; // inicializo el contador de centenas xi y establezco el límite a 6 dígitos en la parte entera
        $xexit = true; // bandera para controlar el ciclo del While
        while ($xexit) {
            if ($xi == $xlimite) { // si ya llegó al límite máximo de enteros
                break; // termina el ciclo
            }

            $x3digitos = ($xlimite - $xi) * -1; // comienzo con los tres primeros digitos de la cifra, comenzando por la izquierda
            $xaux = substr($xaux, $x3digitos, abs($x3digitos)); // obtengo la centena (los tres dígitos)
            for ($xy = 1; $xy < 4; $xy++) { // ciclo para revisar centenas, decenas y unidades, en ese orden
                switch ($xy) {
                    case 1: // checa las centenas
                        if (substr($xaux, 0, 3) < 100) { // si el grupo de tres dígitos es menor a una centena ( < 99) no hace nada y pasa a revisar las decenas
                            
                        } else {
                            $key = (int) substr($xaux, 0, 3);
                            if (TRUE === array_key_exists($key, $xarray)){  // busco si la centena es número redondo (100, 200, 300, 400, etc..)
                                $xseek = $xarray[$key];
                                $xsub = subfijo($xaux); // devuelve el subfijo correspondiente (Millón, Millones, Mil o nada)
                                if (substr($xaux, 0, 3) == 100)
                                    $xcadena = " " . $xcadena . " CIEN " . $xsub;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                                $xy = 3; // la centena fue redonda, entonces termino el ciclo del for y ya no reviso decenas ni unidades
                            }
                            else { // entra aquí si la centena no fue numero redondo (101, 253, 120, 980, etc.)
                                $key = (int) substr($xaux, 0, 1) * 100;
                                $xseek = $xarray[$key]; // toma el primer caracter de la centena y lo multiplica por cien y lo busca en el arreglo (para que busque 100,200,300, etc)
                                $xcadena = " " . $xcadena . " " . $xseek;
                            } // ENDIF ($xseek)
                        } // ENDIF (substr($xaux, 0, 3) < 100)
                        break;
                    case 2: // checa las decenas (con la misma lógica que las centenas)
                        if (substr($xaux, 1, 2) < 10) {
                            
                        } else {
                            $key = (int) substr($xaux, 1, 2);
                            if (TRUE === array_key_exists($key, $xarray)) {
                                $xseek = $xarray[$key];
                                $xsub = subfijo($xaux);
                                if (substr($xaux, 1, 2) == 20)
                                    $xcadena = " " . $xcadena . " VEINTE " . $xsub;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                                $xy = 3;
                            }
                            else {
                                $key = (int) substr($xaux, 1, 1) * 10;
                                $xseek = $xarray[$key];
                                if (20 == substr($xaux, 1, 1) * 10)
                                    $xcadena = " " . $xcadena . " " . $xseek;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " Y ";
                            } // ENDIF ($xseek)
                        } // ENDIF (substr($xaux, 1, 2) < 10)
                        break;
                    case 3: // checa las unidades
                        if (substr($xaux, 2, 1) < 1) { // si la unidad es cero, ya no hace nada
                            
                        } else {
                            $key = (int) substr($xaux, 2, 1);
                            $xseek = $xarray[$key]; // obtengo directamente el valor de la unidad (del uno al nueve)
                            $xsub = subfijo($xaux);
                            $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                        } // ENDIF (substr($xaux, 2, 1) < 1)
                        break;
                } // END SWITCH
            } // END FOR
            $xi = $xi + 3;
        } // ENDDO

        if (substr(trim($xcadena), -5, 5) == "ILLON") // si la cadena obtenida termina en MILLON o BILLON, entonces le agrega al final la conjuncion DE
            $xcadena.= " DE";

        if (substr(trim($xcadena), -7, 7) == "ILLONES") // si la cadena obtenida en MILLONES o BILLONES, entoncea le agrega al final la conjuncion DE
            $xcadena.= " DE";

        // ----------- esta línea la puedes cambiar de acuerdo a tus necesidades o a tu país -------
        if (trim($xaux) != "") {
            switch ($xz) {
                case 0:
                    if (trim(substr($XAUX, $xz * 6, 6)) == "1")
                        $xcadena.= "UN BILLON ";
                    else
                        $xcadena.= " BILLONES ";
                    break;
                case 1:
                    if (trim(substr($XAUX, $xz * 6, 6)) == "1")
                        $xcadena.= "UN MILLON ";
                    else
                        $xcadena.= " MILLONES ";
                    break;
                case 2:
                    if ($xcifra < 1) {
                        $xcadena = "CERO Guaranies";
                    }
                    if ($xcifra >= 1 && $xcifra < 2) {
                        $xcadena = "UN Guaranies";
                    }
                    if ($xcifra >= 2) {
                        $xcadena.= " Guaranies"; //
                    }
                    break;
            } // endswitch ($xz)
        } // ENDIF (trim($xaux) != "")
        // ------------------      en este caso, para México se usa esta leyenda     ----------------
        $xcadena = str_replace("VEINTI ", "VEINTI", $xcadena); // quito el espacio para el VEINTI, para que quede: VEINTICUATRO, VEINTIUN, VEINTIDOS, etc
        $xcadena = str_replace("  ", " ", $xcadena); // quito espacios dobles
        $xcadena = str_replace("UN UN", "UN", $xcadena); // quito la duplicidad
        $xcadena = str_replace("  ", " ", $xcadena); // quito espacios dobles
        $xcadena = str_replace("BILLON DE MILLONES", "BILLON DE", $xcadena); // corrigo la leyenda
        $xcadena = str_replace("BILLONES DE MILLONES", "BILLONES DE", $xcadena); // corrigo la leyenda
        $xcadena = str_replace("DE UN", "UN", $xcadena); // corrigo la leyenda
    } // ENDFOR ($xz)
    return trim($xcadena);
}

// END FUNCTION

function subfijo($xx)
{ // esta función regresa un subfijo para la cifra
    $xx = trim($xx);
    $xstrlen = strlen($xx);
    if ($xstrlen == 1 || $xstrlen == 2 || $xstrlen == 3)
        $xsub = "";
    //
    if ($xstrlen == 4 || $xstrlen == 5 || $xstrlen == 6)
        $xsub = "MIL";
    //
    return $xsub;
}
?>

