<?php
//include("plantilla_cabecera.php");
require_once('../../joajurehegua.php');




function obtenerSiguienteNumeroDocumento(PDO $conn, $lugar, $punto_expedicion, $tipo_documento) {
  $conn->beginTransaction();

  try {
      // Bloquear la fila de la secuencia
      $stmt = $conn->prepare("
          SELECT ultimo_valor FROM ultimo_nro_documento 
          WHERE lugar_comercial = :lugar 
            AND punto_expedicion = :punto_expedicion 
            AND tipo_documento = :tipo_documento FOR UPDATE
      ");
      $stmt->execute([
          'lugar' => $lugar,
          'punto_expedicion' => $punto_expedicion,
          'tipo_documento' => $tipo_documento
      ]);
      $resultado = $stmt->fetch(PDO::FETCH_ASSOC);

      if (!$resultado) {
          throw new Exception("Combinación de lugar, punto_expedicion y tipo de documento no encontrada");
      }

      $ultimo_valor = $resultado['ultimo_valor'];
      $nuevo_valor = $ultimo_valor + 1;

      // Actualizar el valor
      $stmt = $conn->prepare("
          UPDATE ultimo_nro_documento 
          SET ultimo_valor = :nuevo_valor 
          WHERE lugar_comercial = :lugar 
            AND punto_expedicion = :punto_expedicion 
            AND tipo_documento = :tipo_documento
      ");
      $stmt->execute([
          'nuevo_valor' => $nuevo_valor,
          'lugar' => $lugar,
          'punto_expedicion' => $punto_expedicion,
          'tipo_documento' => $tipo_documento
      ]);

      // Generar el número de documento
      //$nro_documento = sprintf("%s-%s-%08d", $lugar, $punto_expedicion, $nuevo_valor);
      $nro_documento = sprintf("%08d",  $nuevo_valor);
      $conn->commit();

      return $nro_documento;
  } catch (Exception $e) {
      $conn->rollBack();
      throw $e;
  }
}
