<?php
require_once('../../joajurehegua.php');
$data = json_decode(file_get_contents("php://input"), true);
if ($data) {
  $nro_caja = $data['nro_caja'];
  $detalles = $data['detalles'];
  // Aquí puedes realizar operaciones con $nro_caja y $detalles
  // echo json_encode(['success' => true]);
} else {
  echo json_encode(['success' => false, 'message' => 'Datos no validos']);
}



switch ($data['tipo']) {
  case "caja_ciega":

    $nro_caja           =  htmlspecialchars($data['nro_caja']);
    $nro_rendicion      =  htmlspecialchars($data['nro_rendicion']);
    $moneda             =  htmlspecialchars($data['moneda']);
    $montoTotal         =  quitarPuntos(htmlspecialchars($data['totalSum']));
    $totalIngresado     =  quitarPuntos(htmlspecialchars($data['totalSum']));

    $boleta_deposito     =  convertirANullSiVacio(htmlspecialchars($data['boleta_deposito']));
    $id_banco            =  convertirANullSiVacio($data['banco']);
    $fecha_deposito      =  convertirANullSiVacio(htmlspecialchars($data['fecha_deposito']));
    $deposito            =  htmlspecialchars($data['deposito']);


    $diferencia         =  0;
    if ($deposito  == 'deposito') {
      $clase_movimiento   = 13;
    } else {
      $clase_movimiento   = 8;
    }
    $clase_documento    = "DB";

    $referencia         = null;
    $movimiento         = 1;

    if (!$totalIngresado) {
      echo json_encode(array(
        "ack" => 10,
        "message" => "Falta Monto",
        "nro_documento" => ""
      ));
      exit();
    }


    $sql = "SELECT max(movimiento) as maxmovimiento
    from movimiento_caja_cab 
    where id_empresa    = :id_empresa
      and nro_caja      = :nro_caja
      and nro_rendicion = :nro_rendicion
       ";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
      ':id_empresa'     =>  $_SESSION['id_empresa'],
      ':nro_caja'       =>  $nro_caja,
      ':nro_rendicion' =>   $nro_rendicion

    ));
    $resultado = $stmt->fetch();
    if ($resultado) {
      $maxmovimiento = $resultado['maxmovimiento']  + 1;
    } else {
      $maxmovimiento = 1;
    }
    $movimiento =  $maxmovimiento;
    /*  fin busca el movimiento*/
    $nro_documento = "";
    $nro_documento = generarGrupoId($conn); // Función para generar un ID de nro de documento

    $fecha_compensacion = date("Y-m-d");
    $hora_compensacion  = date("H:i:s");
    $sql = $conn->prepare('INSERT INTO movimiento_caja_cab (nro_caja,nro_rendicion,movimiento,importe,moneda,clase_movimiento,clase_documento,nro_documento,id_empresa,ejercicio,
    fecha,hora,id_usuario) VALUES (:nro_caja, :nro_rendicion,:movimiento,:importe,:moneda,:clase_movimiento,:clase_documento,:nro_documento,:id_empresa,:ejercicio,:fecha,
    :hora,:id_usuario )');
    $bind =  array(
      ':nro_caja'         => $nro_caja,
      ':nro_rendicion'    => $nro_rendicion,
      ':movimiento'       => $movimiento,
      ':importe'          => quitarPuntos($montoTotal),
      ':moneda'           => $moneda,
      ':clase_movimiento' => $clase_movimiento,
      ':clase_documento'  => $clase_documento,
      ':nro_documento'    => $nro_documento,
      ':id_empresa'       => $_SESSION['id_empresa'],
      ':ejercicio'        => date("Y"),
      ':fecha'            => $fecha_compensacion,
      ':hora'             => $hora_compensacion,
      ':id_usuario'       => $_SESSION['id_usuario'],


    );


    try {
      $sql->execute($bind);
      $solicitud_id = $conn->lastInsertId();
      //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
      //   conjuge($data, $conn, $solicitud_id);
      echo json_encode(['success' => true]);
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';

      echo json_encode(['success' => false, 'message' => $Exception]);
      exit();
    }

    if ($solicitud_id > 0) {
    } else {
      exit();
    }

    /*******************************************Detalles****************************************************** */
    $sql = $conn->prepare('INSERT INTO movimiento_caja_det (posicion,nro_caja,nro_rendicion,movimiento,concepto,importe,moneda,fecha,hora, id_banco, vencimiento, nrodeposito 
            ) VALUES (:posicion,:nro_caja,:nro_rendicion,:movimiento,:concepto,:importe,:moneda,:fecha,:hora, :id_banco, :vencimiento, :nrodeposito  )');

    $posicion = 1;
    $concepto = "EF";
    $bind =  array(
      ':posicion'       => $posicion,
      ':nro_caja'       => $nro_caja,
      ':nro_rendicion'  => $nro_rendicion,
      ':movimiento'     => $movimiento,
      ':concepto'       => $concepto,
      ':importe'        => quitarPuntos($montoTotal),
      ':moneda'         => $moneda,
      ':fecha'          => date("Y-m-d"),
      ':hora'           => date("H:i:s"),
      ':id_banco'         => $id_banco,
      ':vencimiento'      => $fecha_deposito,
      ':nrodeposito'      => $boleta_deposito
    );


    try {
      $sql->execute($bind);
      $posicion++;
      //   $solicitud_id = $conn->lastInsertId();
      //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
      //   conjuge($data, $conn, $solicitud_id);
      //  echo json_encode(['success' => true]);
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
      //echo json_encode(array("error" => "Error al guardar los datos: " . $Exception, "ack" => 1));
      echo json_encode(['success' => false, 'message' => 'Error al guardar detalles']);
    }

    break;
  case "cerrar_caja":

    break;
}







/***************************************************************************************************/

function generarGrupoId($conn)
{
  $sql = $conn->prepare('INSERT INTO nro_documento_aux (fecha) VALUES(:fecha)');
  $bind =  array(':fecha' => date("Y-m-d"));
  try {
    $sql->execute($bind);
    $grupo_id = $conn->lastInsertId();
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
  }
  return $grupo_id; // Un número aleatorio, puedes usar otro método más robusto
}



function quitarPuntos($input)
{
  // Utilizamos str_replace para reemplazar los puntos con una cadena vacía
  return str_replace('.', '', $input);
}


function convertirANullSiVacio($input)
{
  // Utiliza la función empty() para verificar si está vacío
  return empty($input) ? null : $input;
}
