<?php

require_once('../../joajurehegua.php');
require_once('obtenerFactura.php');

//header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Decodificar los datos del formulario desde JSON
    $formData = json_decode($_POST['form'], true);

    // Decodificar los datos de la tabla desde JSON
    $tablaData = json_decode($_POST['tabla'], true);


    $deudas_aux = json_decode($formData['deudas'], true);
    $deudas     = $deudas_aux['deudas'];

/*
    var_dump($deudas);

    exit();
*/


    $nro_caja           =  htmlspecialchars($formData['nro_caja']);
    $nro_rendicion      =  htmlspecialchars($formData['nro_rendicion']);
    $socio_nro          =  htmlspecialchars($formData['socio_nro']);
    $id_cliente         =  htmlspecialchars($formData['id_cliente']);
    $moneda             =  htmlspecialchars($formData['moneda']);
    $montoTotal         =  htmlspecialchars($formData['montoTotal']);
    $totalIngresado     =  htmlspecialchars($formData['totalIngresado']);
    $diferencia         =  htmlspecialchars($formData['diferencia']);
    $clase_documento    = "CR";
    $clase_movimiento   = 1;
    //$referencia         = null;
    // $nro_documento = 1;
    $movimiento = 1;

    if (!$totalIngresado) {
        echo json_encode(array(
            "ack" => 10,
            "message" => "Falta Monto Pagado",
            "nro_documento" => ""
        ));
        exit();
    }

    $id_ctacte         =  htmlspecialchars($formData['id_ctacte']);
    $deudas_id_ctactes = explode(',', $id_ctacte);


    /*  busca el movimiento*/

    $sql = "SELECT max(movimiento) as maxmovimiento
    from movimiento_caja_cab 
    where id_empresa    = :id_empresa
      and nro_caja      = :nro_caja
      and nro_rendicion = :nro_rendicion
       ";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
        ':id_empresa'     =>  $_SESSION['id_empresa'],
        ':nro_caja'       =>  $nro_caja,
        ':nro_rendicion' =>   $nro_rendicion

    ));
    $resultado = $stmt->fetch();
    if ($resultado) {
        $maxmovimiento = $resultado['maxmovimiento']  + 1;
    } else {
        $maxmovimiento = 1;
    }
    $movimiento =  $maxmovimiento;
    /*  fin busca el movimiento*/
    $nro_documento = generarGrupoId($conn); // Función para generar un ID de nro de documento

    $fecha_compensacion = date("Y-m-d");
    $hora_compensacion  = date("H:i:s");
    $monto_total_aux   = quitarPuntos($montoTotal);


    // numeracion de referencia
    try {
        $sql = "SELECT lugar_comercial, punto_expedicion
        from caja 
        where estado = 1
        and id_empresa    = :id_empresa
          and nro_caja      = :nro_caja
          and id_usuario    = :id_usuario
           ";
        $stmt = $conn->prepare($sql);
        $stmt->execute(array(':id_empresa'  =>  $_SESSION['id_empresa'], 
                            ':nro_caja'     =>  $nro_caja, 
                            ':id_usuario'   =>   $_SESSION['id_usuario'] ));
        $resultado = $stmt->fetch();
        if ($resultado) {
            $lugar_comercial = $resultado['lugar_comercial'];        // Lugar comercial
            $punto_expedicion = $resultado['punto_expedicion'];        // Punto de emisión
           
        }
       

         $tipo_documento = 'CR';     // Tipo de documento
         $referencia = obtenerSiguienteNumeroDocumento($conn, $lugar_comercial, $punto_expedicion, $tipo_documento);
         //guardarDocumento($pdo, $nro_documento, $tipo_documento);
       
       //  echo "Documento generado: " . $nro_documento;
       } catch (Exception $e) {
         echo "Error: " . $e->getMessage();
       }


    
    $sql = $conn->prepare('INSERT INTO movimiento_caja_cab (nro_caja,nro_rendicion,movimiento,importe,moneda,clase_movimiento,clase_documento,nro_documento,id_empresa,
ejercicio,fecha,hora,id_cliente,nro_socio,vuelto,referencia,id_usuario) 
VALUES (:nro_caja,:nro_rendicion,:movimiento,:importe,:moneda,:clase_movimiento,:clase_documento,:nro_documento,:id_empresa,:ejercicio,:fecha,:hora,:id_cliente,:nro_socio,
:vuelto,:referencia,:id_usuario )');
    $bind =  array(
        ':nro_caja' => $nro_caja,
        ':nro_rendicion' => $nro_rendicion,
        ':movimiento' => $movimiento,
        ':importe' => $monto_total_aux,
        ':moneda' => $moneda,
        ':clase_movimiento' => $clase_movimiento,
        ':clase_documento' => $clase_documento,
        ':nro_documento' => $nro_documento,
        ':id_empresa' => $_SESSION['id_empresa'],
        ':ejercicio' => date("Y"),
        ':fecha' => $fecha_compensacion,
        ':hora' => $hora_compensacion,
        ':id_cliente' => $id_cliente,
        ':nro_socio' => $socio_nro,
        ':vuelto' => $diferencia,
        ':referencia' => $referencia,
        ':id_usuario' => $_SESSION['id_usuario']

    );


    try {
        $sql->execute($bind);
        $solicitud_id = $conn->lastInsertId();
        //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
        //   conjuge($data, $conn, $solicitud_id);
        echo json_encode(array(
            "ack"           => 0,
            "message"       => "Datos guardados con éxito",
            "nro_documento" => $solicitud_id
        ));
    } catch (PDOException $Exception) {
        error_log('Error insertando: ' . json_encode($Exception));
        //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
        echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
        exit();
    }

    guardar_tabla_contable_cab($conn, $nro_documento, $id_cliente, $socio_nro, $monto_total_aux, $clase_documento, $referencia);


    if ($solicitud_id) {
        $posicion = 1;
        foreach ($deudas_id_ctactes as $deudas_id_ctacte) {
           
            foreach ($deudas as $deuda) {
                if ($deudas_id_ctacte === $deuda['id']) {

                    $nro_ctacte = $deuda['id'];
                    $referencia_posicion = $deuda['posicionCuota'];
                    $importe = $deuda['montoPagado'];
                    $referencia_documento  = $deuda['numeroDocumento'];
                    if ($deuda['importeOri'] === $deuda['montoPagado']) {
                        actualizarCuentaCorriente($conn, $socio_nro, $deudas_id_ctacte, $nro_documento, $fecha_compensacion, $hora_compensacion);
                       
                        guardar_tabla_contable_det($conn, $nro_documento,$id_cliente,$socio_nro,$referencia,$clase_documento,$moneda,$importe, $nro_ctacte, $fecha_compensacion, $hora_compensacion, $posicion);  
                        guardar_tabla_contable_det_h($conn, $nro_documento,$id_cliente,$socio_nro,$referencia,$clase_documento,$moneda,$importe, $nro_ctacte, $fecha_compensacion, $hora_compensacion, $posicion);  
                    }else{
                        pagoPacial($conn, $socio_nro, $id_cliente , $deudas_id_ctacte, $nro_documento, $fecha_compensacion, $hora_compensacion, $moneda, $importe, $referencia_posicion, $referencia_documento, );
                        guardar_tabla_contable_det($conn, $nro_documento,$id_cliente,$socio_nro,$referencia,$clase_documento,$moneda,$importe, $nro_ctacte, $fecha_compensacion, $hora_compensacion, $posicion);  
                        guardar_tabla_contable_det_h($conn, $nro_documento,$id_cliente,$socio_nro,$referencia,$clase_documento,$moneda,$importe, $nro_ctacte, $fecha_compensacion, $hora_compensacion, $posicion);  
                    }

                    $posicion ++;;
                }
            }
        }


        
    }

    // Comprobando si la decodificación fue exitosa
    if ($tablaData !== null) {
        $posicion = 1;
        foreach ($tablaData as $fila) {
            $concepto = $fila['concepto'];
            $importe = $fila['importe'];
            $nroCheque = convertirANullSiVacio($fila['nroCheque']);
            $banco = convertirANullSiVacio($fila['banco']);
            $fechaVencimiento = convertirANullSiVacio($fila['fechaVencimiento']);
            $codigoDeposito = convertirANullSiVacio($fila['codigoDeposito']);


            $sql = $conn->prepare('INSERT INTO movimiento_caja_det (posicion,nro_caja,nro_rendicion,movimiento,concepto,importe,moneda,fecha,hora,nrocheque,id_banco,vencimiento,nrodeposito) 
            VALUES (:posicion,:nro_caja,:nro_rendicion,:movimiento,:concepto,:importe,:moneda,:fecha,:hora,:nrocheque,:id_banco,:vencimiento,:nrodeposito)');
            $bind =  array(
                ':posicion' => $posicion,
                ':nro_caja' => $nro_caja,
                ':nro_rendicion' => $nro_rendicion,
                ':movimiento' => $movimiento,
                ':concepto' => $concepto,
                ':importe' => quitarPuntos($importe),
                ':moneda' => $moneda,
                ':fecha' => date("Y-m-d"),
                ':hora' => date("H:i:s"),
                ':nrocheque' => $nroCheque,
                ':id_banco' => $banco,
                ':vencimiento' => $fechaVencimiento,
                ':nrodeposito' => $codigoDeposito


            );


            try {
                $sql->execute($bind);
                $posicion++;
                //   $solicitud_id = $conn->lastInsertId();
                //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
                //   conjuge($data, $conn, $solicitud_id);
                //    echo json_encode(array("message" => "Datos guardados con éxito"));
                
            } catch (PDOException $Exception) {
                error_log('Error insertando: ' . json_encode($Exception));
                //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
                //   echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
            }
        }
    }
}



function quitarPuntos($input)
{
    // Utilizamos str_replace para reemplazar los puntos con una cadena vacía
    return str_replace('.', '', $input);
}


function convertirANullSiVacio($input)
{
    // Utiliza la función empty() para verificar si está vacío
    return empty($input) ? null : $input;
}


function actualizarCuentaCorriente($conn, $id_cliente, $id_cuenta, $nro_documento, $fecha_compensacion, $hora_compensacion)
{

    $sql = "UPDATE cuenta_corriente SET estado             = :estado, 
                                        nro_compensacion   = :nro_compensacion,
                                        hora_compensacion  = :hora_compensacion,
                                        fecha_compensacion = :fecha_compensacion                                
                                  WHERE id         = :id_cuenta
                                  and id_empresa   = :id_empresa
                                  and id_cliente   = :id_cliente";


    try {

        $stmt = $conn->prepare($sql);
        $stmt->execute(array(
            ':estado'     => 1,
            ':id_cuenta'  => $id_cuenta,
            ':nro_compensacion'  => $nro_documento,
            ':hora_compensacion'  => $hora_compensacion,
            ':fecha_compensacion'  => $fecha_compensacion,
            ':id_empresa' => $_SESSION['id_empresa'],
            ':id_cliente' => $id_cliente,
        ));
    } catch (PDOException $Exception) {
        error_log('Error insertando: ' . json_encode($Exception));
    }
}


function pagoPacial($conn, $nro_socio, $id_cliente, $id_cuenta, $nro_documento, $fecha_compensacion, $hora_compensacion, $moneda, $importe, $referencia_posicion, $referencia_documento)
{

    $sql = $conn->prepare('INSERT INTO cuenta_corriente (
    nro_documento, 
    id_empresa, 
    id_cliente, 
    nro_socio, 
    factura, 
    clase_documento, 
    cuota, 
    posicion, 
    fecha, 
    hora, 
    id_usuario,
     clave_contabilizacion, 
    indicador_d_h, 
    texto_posicion,
     moneda,
      importe,
       impuesto, 
       id_cuenta_mayor, 
       estado,
        vencimiento, 
        referencia_documento, 
        referencia_posicion) VALUES (
    :nro_documento, 
    :id_empresa,
     :id_cliente, 
     :nro_socio, 
     :factura,
      :clase_documento, 
      :cuota, 
    :posicion, 
    :fecha, 
    :hora, 
    :id_usuario,
     :clave_contabilizacion,
      :indicador_d_h, 
      :texto_posicion, 
      :moneda, 
      :importe, 
      :impuesto, 
      :id_cuenta_mayor, 
      :estado, 
      :vencimiento,
    :referencia_documento, 
    :referencia_posicion )');

     $bind =  array(
       ':nro_documento'         => $nro_documento,
       ':id_empresa'            => $_SESSION['id_empresa'],
       ':nro_socio'             => $nro_socio,
       ':id_cliente'            => $id_cliente,
       ':factura'               => '',
       ':clase_documento'       => 'CR',
       ':cuota'                 => 1,
       ':posicion'              => 1,
       ':fecha'                 => date("Y-m-d"),
       ':hora'                  => date("H:i:s"),
       ':id_usuario'            => $_SESSION['id_usuario'],
       ':clave_contabilizacion' => 28,
       ':indicador_d_h'         => 'H',
       ':texto_posicion'        => 'Pago Parcial',
       ':moneda'                => $moneda,
       ':importe'               => $importe,
       ':impuesto'              => null,
       ':id_cuenta_mayor'      => null,
       ':estado'                => 0,
       ':vencimiento'           => date("Y-m-d"),
       ':referencia_documento'  => $referencia_documento,
       ':referencia_posicion'   => $referencia_posicion
       

     );




     try {
       $sql->execute($bind);
       //  $solicitud_id = $conn->lastInsertId();
       //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
       // conjuge($data, $conn, $solicitud_id);
    //   echo json_encode(array("message" => "Datos guardados con exito", "ack"           => "" ));
     } catch (PDOException $Exception) {
       error_log('Error insertando: ' . json_encode($Exception));
       //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
      // var_dump($Exception);
      // exit();
        echo json_encode(array("error" => "Error al guardar los datos: " . $Exception,   "ack"           => ""));
     }
}
/*function insertar_clase_docu($conn, $clase_documento, $ultimo_nro)
{

    $sql = $conn->prepare('INSERT INTO ultimo_nro_documento (id_empresa, clase_documento, ultimo_numero) VALUES(:id_empresa, :clase_documento, :ultimo_numero)');
    $bind =  array(
        ':id_empresa'      => $_SESSION['id_empresa'],
        ':clase_documento'  => $clase_documento,
        ':ultimo_numero'    => $ultimo_nro


    );


    try {
        $sql->execute($bind);
        //  $solicitud_id = $conn->lastInsertId();
        //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
        // conjuge($data, $conn, $solicitud_id);
        // echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
        error_log('Error insertando: ' . json_encode($Exception));
        //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
        // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
    }
}
*/
/*
function actualizar_clase_docu($conn, $clase_documento, $ultimo_nro)
{

    $sql = "UPDATE ultimo_nro_documento SET ultimo_numero     = :ultimo_numero                                
                                       WHERE clase_documento  = :clase_documento
                                        and id_empresa        = :id_empresa ";

    try {

        $stmt = $conn->prepare($sql);
        $stmt->execute(array(
            ':ultimo_numero'    => $ultimo_nro,
            ':clase_documento'  => $clase_documento,
            ':id_empresa'       => $_SESSION['id_empresa']

        ));
    } catch (PDOException $Exception) {
        error_log('Error insertando: ' . json_encode($Exception));
    }
}

*/
function generarGrupoId($conn)
{
    $sql = $conn->prepare('INSERT INTO nro_documento_aux (fecha) VALUES(:fecha)');
    $bind =  array(':fecha' => date("Y-m-d"));
    try {
        $sql->execute($bind);
        $grupo_id = $conn->lastInsertId();
    } catch (PDOException $Exception) {
        error_log('Error insertando: ' . json_encode($Exception));
    }
    return $grupo_id; // Un número aleatorio, puedes usar otro método más robusto
}






function guardar_tabla_contable_cab($conn, $nro_documento, $id_cliente, $nro_socio, $importe, $clase_documento, $referencia)
{
  $sql = $conn->prepare('INSERT INTO cabecera_contable (id_empresa,nro_documento,id_cliente,nro_socio,importe,fecha_doc,ejercicio,clase_documento,referencia,fecha,hora,id_usuario) 
  VALUES (:id_empresa,:nro_documento,:id_cliente,:nro_socio,:importe,:fecha_doc,:ejercicio,:clase_documento,:referencia,:fecha,:hora,:id_usuario )');
  $bind =  array( ':id_empresa'            => $_SESSION['id_empresa'],
                ':nro_documento'         => $nro_documento,
                ':id_cliente'            => $id_cliente,
                ':nro_socio'             => $nro_socio,
                ':importe'               => $importe,
                ':fecha_doc'             => date("Y-m-d"),
                ':ejercicio'             => date("Y"),
                ':clase_documento'       => $clase_documento,
                ':referencia'            => $referencia,
                ':fecha'                 => date("Y-m-d"),
                ':hora'                  => date("H:i:s"),
                ':id_usuario'            => $_SESSION['id_usuario']


  );




  try {
    $sql->execute($bind);
    //  $solicitud_id = $conn->lastInsertId();
    //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
    // conjuge($data, $conn, $solicitud_id);
    // echo json_encode(array("message" => "Datos guardados con exito"));
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
    //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
    var_dump($Exception);
    exit();
    // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
  }
}



function guardar_tabla_contable_det($conn, $nro_documento,$id_cliente,$socio_nro,$referencia,$clase_documento,$moneda,$importe, $nro_ctacte, $fecha_compensacion, $hora_compensacion, $posicion){
  $sql_i = $conn->prepare('INSERT INTO detalles_contable (id_empresa,nro_documento,posicion,clave_contabilizacion,fecha,hora,id_cliente,nro_socio,referencia,cuota,clase_documento,
indicador_d_h,texto_posicion,moneda,importe,interes,impuesto,id_cuenta_mayor,indicador_cme,nro_compensacion,fecha_compensacion,hora_compensacion,id_usuario) 
VALUES (:id_empresa,:nro_documento,:posicion,:clave_contabilizacion,:fecha,:hora,:id_cliente,:nro_socio,:referencia,:cuota,:clase_documento,:indicador_d_h,:texto_posicion,
:moneda,:importe,:interes,:impuesto,:id_cuenta_mayor,:indicador_cme,:nro_compensacion,:fecha_compensacion,:hora_compensacion,:id_usuario )');


$sql = "SELECT a.*
        FROM cuenta_corriente AS a
        where a.id = :id ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $nro_ctacte));
  $resultado = $stmt->fetch();


  $sql_cd = "SELECT a.*
        FROM clase_documento AS a
        where a.codigo = :codigo ";
  $stmt = $conn->prepare($sql_cd);
  $stmt->execute(array(':codigo' =>  $clase_documento));
  $resultado_cd = $stmt->fetch();

   $bind =  array(
    
     ':id_empresa'            => $_SESSION['id_empresa'],
     ':nro_documento'         => $nro_documento,
     ':posicion'              => $posicion,
     ':clave_contabilizacion' => 40,
     ':fecha'                 => date("Y-m-d"),
     ':hora'                  => date("H:i:s"),
     ':id_cliente'            => $id_cliente,
     ':nro_socio'             => $socio_nro,
     ':referencia'            => $referencia,
     ':cuota'                 => $resultado['cuota'],
     ':clase_documento'       => $clase_documento,
     ':indicador_d_h'         => $resultado_cd['indicador'],
     ':texto_posicion'        => 'Cobro Caja',
     ':moneda'                => $moneda,
     ':importe'               => $importe,
     ':interes'               => 0,
     ':impuesto'              => 10,
     ':id_cuenta_mayor'       => $resultado_cd['id_cuenta_mayor'],
     ':indicador_cme'         => null,
     ':nro_compensacion'      => null,
     ':fecha_compensacion'    => $fecha_compensacion,
     ':hora_compensacion'     => $hora_compensacion,
     ':id_usuario'            => $_SESSION['id_usuario']
     

   );




   try {
     $sql_i->execute($bind);
     //  $solicitud_id = $conn->lastInsertId();
     //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
     // conjuge($data, $conn, $solicitud_id);
    // echo json_encode(array("message" => "Datos guardados con exito"));
   } catch (PDOException $Exception) {
     error_log('Error insertando: ' . json_encode($Exception));
     //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
  
      echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
   }
}


function guardar_tabla_contable_det_h($conn, $nro_documento,$id_cliente,$socio_nro,$referencia,$clase_documento,$moneda,$importe, $nro_ctacte, $fecha_compensacion, $hora_compensacion, $posicion){
    $sql_i = $conn->prepare('INSERT INTO detalles_contable (id_empresa,nro_documento,posicion,clave_contabilizacion,fecha,hora,id_cliente,nro_socio,referencia,cuota,clase_documento,
  indicador_d_h,texto_posicion,moneda,importe,interes,impuesto,id_cuenta_mayor,indicador_cme,nro_compensacion,fecha_compensacion,hora_compensacion,id_usuario) 
  VALUES (:id_empresa,:nro_documento,:posicion,:clave_contabilizacion,:fecha,:hora,:id_cliente,:nro_socio,:referencia,:cuota,:clase_documento,:indicador_d_h,:texto_posicion,
  :moneda,:importe,:interes,:impuesto,:id_cuenta_mayor,:indicador_cme,:nro_compensacion,:fecha_compensacion,:hora_compensacion,:id_usuario )');
  
  
  $sql = "SELECT a.*
          FROM cuenta_corriente AS a
          where a.id = :id ";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(':id' =>  $nro_ctacte));
    $resultado = $stmt->fetch();
  
  
    $sql_cd = "SELECT a.*
          FROM clase_documento AS a
          where a.codigo = :codigo ";
    $stmt = $conn->prepare($sql_cd);
    $stmt->execute(array(':codigo' =>  $resultado['clase_documento']));
    $resultado_cd = $stmt->fetch();
  
     $bind =  array(
      
       ':id_empresa'            => $_SESSION['id_empresa'],
       ':nro_documento'         => $nro_documento,
       ':posicion'              => $posicion,
       ':clave_contabilizacion' => 16,
       ':fecha'                 => date("Y-m-d"),
       ':hora'                  => date("H:i:s"),
       ':id_cliente'            => $id_cliente,
       ':nro_socio'             => $socio_nro,
       ':referencia'            => $referencia,
       ':cuota'                 => $resultado['cuota'],
       ':clase_documento'       => $clase_documento,
       ':indicador_d_h'         => $resultado_cd['indicador_h'],
       ':texto_posicion'        => $resultado_cd['nombre'],
       ':moneda'                => $moneda,
       ':importe'               => $importe,
       ':interes'               => 0,
       ':impuesto'              => 10,
       ':id_cuenta_mayor'       => $resultado_cd['id_cuenta_mayor_h'],
       ':indicador_cme'         => null,
       ':nro_compensacion'      => null,
       ':fecha_compensacion'    => $fecha_compensacion,
       ':hora_compensacion'     => $hora_compensacion,
       ':id_usuario'            => $_SESSION['id_usuario']
       
  
     );
  
  
  
  
     try {
       $sql_i->execute($bind);
       //  $solicitud_id = $conn->lastInsertId();
       //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
       // conjuge($data, $conn, $solicitud_id);
      // echo json_encode(array("message" => "Datos guardados con exito"));
     } catch (PDOException $Exception) {
       error_log('Error insertando: ' . json_encode($Exception));
       //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
    
        echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
     }
  }