
<?php
require_once('../joajurehegua.php');
require_once('../tcpdf/tcpdf.php');

$nro_caja      = isset($_POST['nro_caja']) ? $_POST['nro_caja'] : '';
$nro_rendicion = isset($_POST['nro_rendicion']) ? $_POST['nro_rendicion'] : '';




$sql = "SELECT a.*, b.nombres, b.apellidos
from rendicion as a
inner join usuarios as b 
on a.id_usuario = b.id
WHERE 1=1";

// Agregar condiciones a la consulta SQL según los filtros
if (!empty($nro_caja)) {
    $sql .= " AND a.nro_caja = :nro_caja";
}

if (!empty($nro_rendicion)) {
    $sql .= " AND a.nro_rendicion = :nro_rendicion";
}
/*
if (!empty($id_estado)) {
  $sql .= " AND a.estado = :id_estado";
}

if (!empty($fecha_desde) and !empty($fecha_hasta)) {
  $sql .= " AND a.fecha_estado >= :fecha_desde";
  $sql .= " AND a.fecha_estado <= :fecha_hasta";
}
*/



/*
if (!empty($cedula_cliente)) {
$sql .= " AND (b.cedula LIKE :cedula_cliente)";
}


if (!empty($id_estado)) {
  $sql .= " AND (b.primer_nombre LIKE :nombre OR b.primer_apellido LIKE :nombre)";
  }
*/


$stmt = $conn->prepare($sql);

// Asignar parámetros a la consulta
if (!empty($nro_caja)) {
    $stmt->bindValue(':nro_caja', $nro_caja, PDO::PARAM_INT);
}

if (!empty($nro_rendicion)) {
    $stmt->bindValue(':nro_rendicion', $nro_rendicion, PDO::PARAM_INT);
}
/*
if (!empty($id_estado)) {
  $stmt->bindValue(':id_estado', $id_estado, PDO::PARAM_INT);
}
if (!empty($fecha_desde) && !empty($fecha_hasta)) {
  $stmt->bindValue(':fecha_desde', $fecha_desde, PDO::PARAM_STR);
  $stmt->bindValue(':fecha_hasta', $fecha_hasta, PDO::PARAM_STR);
}
*/

/*
if (!empty($nombre)) {
$stmt->bindValue(':nombre', '%' . $nombre . '%', PDO::PARAM_STR);
}
*/



$stmt->execute();
//$resultado = $stmt->fetchAll();
$resultado = $stmt->fetch();


if ($resultado) {
} else {
    echo "no hay datos";
    exit();
}

$cajeros = $resultado['nombres'] . " " . $resultado['apellidos'];


$sql_si = "SELECT a.*
from saldo_inicial as a
where a.nro_caja     = :nro_caja
  and a.nro_rendicion = :nro_rendicion
  and a.estado  = 0 ";
$stmt_si = $conn->prepare($sql_si);
$stmt_si->execute(array(
    ':nro_caja'      =>  $nro_caja,
    ':nro_rendicion' =>  $nro_rendicion
));
$resultado_re = $stmt_si->fetchAll();
if ($resultado_re) {
}

$sql_de = "SELECT a.*
from movimiento_caja_det as a
where a.nro_caja     = :nro_caja
  and a.nro_rendicion = :nro_rendicion ";
$stmt_de = $conn->prepare($sql_de);
$stmt_de->execute(array(
    ':nro_caja'      =>  $nro_caja,
    ':nro_rendicion' =>  $nro_rendicion
));
$resultado_de = $stmt_de->fetchAll();
if ($resultado_de) {

        // Recorrer el array y acumular los importes por concepto
        foreach ($resultado_de as $item) {
            $concepto = $item['concepto'];
            $importe = $item['importe'];
    
            // Si el concepto ya existe en el array de totales, se suma el importe
            if (isset($totales[$concepto])) {
                $totales[$concepto] += $importe;
            } else {
                // Si el concepto no existe, se crea con el importe actual
                $totales[$concepto] = $importe;
            }
        }

}









 // Crear una nueva instancia de TCPDF
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// Configuración del documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Edgar Caballero');
$pdf->SetTitle('Arqueo de Caja');
$pdf->SetSubject('Arqueo de Caja');
$pdf->SetKeywords('TCPDF, PDF, arqueo, caja');

// Configurar fuentes predeterminadas
$pdf->SetFont('helvetica', '', 10);

// Agregar una página
$pdf->AddPage();

// Contenido HTML
// Crear el contenido HTML para el PDF
$fecha = date("d/m/Y", strtotime(date("Y-m-d"))); 
$html = "
<h1 style='text-align:center;'>Arqueo de Caja del {$fecha}</h1>
<hr>
<table border='0' cellpadding='5'>
    <tr>
        <td><strong>Caja:</strong></td>
        <td>{$nro_caja}</td>
        <td><strong>Rendición:</strong></td>
        <td>{$nro_rendicion}</td>
    </tr>
    <tr>
        <td><strong>Usuario:</strong></td>
        <td>{$cajeros}</td>
    </tr>
</table>

<hr>

<h2>Saldo Inicial</h2>
<table border='0' cellpadding='5'>
";

// Agregamos las filas de `$resultado_re` al HTML
foreach ($resultado_re as $row) {
    $concepto = $row['concepto'];
    $importe = number_format($row['importe'], 0, '', '.');
if($concepto != ''){
    $html .= "
    <tr>
        <td><strong>{$concepto}</strong></td>
        <td>{$importe}</td>
    </tr>
    ";
}
}

// Cerramos la tabla del saldo inicial
$html .= "
</table>
<hr>
<h2>Detalle de Cobros</h2>
<table border='1' cellpadding='5'>
 

    ";

// Agregamos las filas de `$resultado_re` al HTML
//foreach ($totales as $row_t) {
    foreach ($totales as $concepto2 => $totalImporte) {

    $concepto = $concepto2;
    $importe = number_format($totalImporte, 0, '', '.');
if($concepto != ''){
    $html .= "
    <tr>
        <td><strong>{$concepto}</strong></td>
        <td>{$importe}</td>
    </tr>
    ";
}
}

// Cerramos la tabla del saldo inicial
$html .= "

</table>
<hr>
<h2>Detalle de Egresos</h2>
<table border='1' cellpadding='5'>
   
</table>
<hr>
<h2>Detalle de Entregas</h2>
<table border='1' cellpadding='5'>
   
</table>
<hr>
<h2>Detalle Saldo Final</h2>
<table border='1' cellpadding='5'>
   
</table>
";

//print_r($html);

// Escribir el contenido HTML en el PDF
$pdf->writeHTML($html, true, false, true, false, '');

// Limpiar el buffer de salida
ob_end_clean();

// Cerrar y generar el PDF
$pdf->Output('arqueo_de_caja.pdf', 'I');  


