<?php
require_once('../joajurehegua.php');

//require('../fpdf/fpdf.php'); // Asegúrate de que el archivo fpdf.php esté en tu proyecto

require_once('../tcpdf/tcpdf.php'); // Incluir TCPDF
// Crear un nuevo documento PDF (orientación 'L' para horizontal, tamaño 'A4')

//htmlspecialchars(
$id_cliente      = isset($_POST['id_socio']) ? $_POST['id_socio'] : '';
$cedula_cliente  = isset($_POST['cedula']) ? $_POST['cedula'] : '';
$id_estado       = isset($_POST['id_estado']) ? $_POST['id_estado'] : '';
$fecha_desde     = isset($_POST['fecha_desde']) ? $_POST['fecha_desde'] : '';
$fecha_hasta     = isset($_POST['fecha_hasta']) ? $_POST['fecha_hasta'] : '';

$sql = "SELECT a.*, b.nombre as estado_civil, c.nombre as genero, d.nombre as pais, e.nombre as departamento, f.nombre as distrito, g.nombre as ciudad, h.nombre as barrio,
i.nombre as profesion, j.nombre as nacionalidad
FROM clientes as a 
inner join estado_civil as b on a.id_estadocivil = b.id
inner join tipo_genero as c on a.id_genero = c.id

inner join pais as d on a.id_pais = d.id
inner join departamento as e on a.id_departamento = e.id
inner join distrito as f on a.id_distrito = f.id
inner join ciudad as g on a.id_ciudad = g.id
inner join barrio as h on a.id_barrio = h.id
inner join tipo_profesion as i on a.id_profesion = i.id
inner join nacionalidad as j on a.id_nacionalidad = i.id
WHERE 1=1";

// Agregar condiciones a la consulta SQL según los filtros
if (!empty($id_cliente)) {
  $sql .= " AND a.id_cliente = :id_cliente";
}

if (!empty($cedula_cliente)) {
  $sql .= " AND a.cedula = :cedula_cliente";
}

if (!empty($id_estado)) {
  $sql .= " AND a.estado = :id_estado";
}

if (!empty($fecha_desde) and !empty($fecha_hasta)) {
  $sql .= " AND a.fecha_estado >= :fecha_desde";
  $sql .= " AND a.fecha_estado <= :fecha_hasta";
}




/*
if (!empty($cedula_cliente)) {
$sql .= " AND (b.cedula LIKE :cedula_cliente)";
}


if (!empty($id_estado)) {
  $sql .= " AND (b.primer_nombre LIKE :nombre OR b.primer_apellido LIKE :nombre)";
  }
*/


$stmt = $conn->prepare($sql);

// Asignar parámetros a la consulta
if (!empty($id_cliente)) {
  $stmt->bindValue(':id_cliente', $id_cliente, PDO::PARAM_INT);
}
if (!empty($cedula_cliente)) {
  $stmt->bindValue(':cedula_cliente', $cedula_cliente, PDO::PARAM_INT);
}
if (!empty($id_estado)) {
  $stmt->bindValue(':id_estado', $id_estado, PDO::PARAM_INT);
}
if (!empty($fecha_desde) && !empty($fecha_hasta)) {
  $stmt->bindValue(':fecha_desde', $fecha_desde, PDO::PARAM_STR);
  $stmt->bindValue(':fecha_hasta', $fecha_hasta, PDO::PARAM_STR);
}


/*
if (!empty($nombre)) {
$stmt->bindValue(':nombre', '%' . $nombre . '%', PDO::PARAM_STR);
}
*/



$stmt->execute();
$resultado = $stmt->fetchAll();
if ($resultado) {
} else {

  echo "no hay datos";
  exit();
}

$pdf = new TCPDF('L', 'mm', 'A4', true, 'UTF-8', false);


// Clase extendida de TCPDF para personalizar cabecera y pie de página
class MYPDF extends TCPDF
{
  // Cabecera de página
  public function Header()
  {
    // Establecer fuente para el encabezado
    $this->SetFont('helvetica', 'B', 12);

    // Texto de la izquierda (Cooperativa)
    $this->Cell(0, 10, 'Cooperativa 28 de Febrero Ltda.', 0, 0, 'L');

    // Texto de la derecha (Nómina de Socios)
    //$this->Cell(0, 10, 'Nómina de Socios', 0, 1, 'R');

    


    // Obtener la fecha y hora actual
    $fecha_hora_actual = date('d/m/Y H:i:s');
    $this->SetFont('helvetica', '', 10);
    // Agregar la fecha y hora al documento
    $this->Cell(0, 10, 'Fecha y hora: ' . $fecha_hora_actual, 0, 1, 'R');
    // Línea debajo del encabezado
    $this->Ln(5); // Salto de línea
    $this->SetDrawColor(0, 0, 0); // Color de la línea
    $this->Line(10, $this->GetY(), 315, $this->GetY()); // Dibuja la línea
    $this->Ln(5); // Otro salto de línea para separar contenido
  }

  // Pie de página
  public function Footer()
  {
    // Posición a 15 mm del final
    $this->SetY(-15);
    // Establecer fuente
    $this->SetFont('helvetica', 'I', 8);
    // Número de página
    $this->Cell(0, 10, 'Página ' . $this->getAliasNumPage() . ' de ' . $this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
  }
}

// Crear un nuevo documento PDF
//$pdf = new MYPDF('L', 'mm', 'A4', true, 'UTF-8', false);
$pdf = new MYPDF('L', 'mm', array(216, 330), true, 'UTF-8', false);
/*
'L' — Orientación "Horizontal" (Landscape).
'mm' — Unidad de medida en milímetros.
array(216, 330) — Tamaño personalizado para "Oficio" en mm (8.5 x 13 pulgadas).
true — Codificación UTF-8.
'UTF-8' — Codificación de caracteres.
false — Sin modo de compresión.*/
// Configurar el documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Tu nombre');
$pdf->SetTitle('Reporte de Socios');

// Eliminar la cabecera por defecto
$pdf->setPrintHeader(true);

// Agregar una página
$pdf->AddPage();

// Establecer fuente
$pdf->SetFont('helvetica', '', 8);

// Espaciado antes de la tabla
$pdf->Ln(10);

// Agregar título del reporte
$pdf->SetFont('helvetica', 'B', 10);
$pdf->Cell(0, 10, 'Nómina de Socios', 0, 1, 'C');

// Configuración de la tabla
$pdf->SetFont('helvetica', 'B', 8);
$pdf->SetFillColor(193, 247, 168); // Color de fondo para las cabeceras
//$pdf->SetFillColor(0); // Color de fondo para las cabeceras
$pdf->SetTextColor(0);             // Color del texto

// Definir los anchos de las columnas (agregando nuevas columnas)
$ancho_columnas = array(10, 15, 18, 35, 30, 30, 30,  15, 20, 20, 22, 18, 22, 22); // Modificar para agregar más columnas

// Cabecera de la tabla (agregar más títulos)
$pdf->Cell($ancho_columnas[0], 10, 'Lin', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[1], 10, 'NroSocio', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[2], 10, 'Cédula', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[3], 10, 'Nombres y Apelldios', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[4], 10, 'Dirección', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[5], 10, 'Departamento', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[6], 10, 'Ciudad/Dist', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[7], 10, 'E.Civil', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[8], 10, 'Fec.Nac.', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[9], 10, 'Profesion', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[10], 10, 'Nacionalidad', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[11], 10, 'Edad', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[12], 10, 'Cap. Suscripto', 1, 0, 'C', 1);
$pdf->Cell($ancho_columnas[13], 10, 'Cap. Integrado', 1, 1, 'C', 1);


// Datos de la tabla (agregar más columnas en las filas)
$pdf->SetFont('helvetica', '', 6);
$pdf->SetFillColor(255, 255, 255); // Color de fondo para las filas

// Agregar las filas de datos
$linea = 1;
foreach ($resultado as $row) {
  $capital           = obtener_capital($conn, $row['id_cliente']);
  $capitalsuscrito   = number_format($capital['capital_suscrito'], 0, '', '.');
  $CapitalIntegrado  = number_format($capital['capital_integrado'], 0, '', '.');
  $edad = date("Y") - date("Y", strtotime($row['fecha_nacimiento'])); // Cálculo de edad

  $pdf->Cell($ancho_columnas[0], 10, $linea, 1, 0, 'C', 1);
  $pdf->Cell($ancho_columnas[1], 10, $row['id_cliente'], 1, 0, 'C', 1);
  $pdf->Cell($ancho_columnas[2], 10, $row['cedula'], 1, 0, 'C', 1);
  $pdf->Cell($ancho_columnas[3], 10, $row['primer_nombre'] . " " . $row['primer_apellido'], 1, 0, 'L', 1);
  $pdf->Cell($ancho_columnas[4], 10, $row['direccion'], 1, 0, 'L', 1);
  $pdf->Cell($ancho_columnas[5], 10, $row['departamento'], 1, 0, 'L', 1);
  $pdf->Cell($ancho_columnas[6], 10, $row['ciudad'], 1, 0, 'L', 1);
  $pdf->Cell($ancho_columnas[7], 10, $row['estado_civil'], 1, 0, 'L', 1);
  $pdf->Cell($ancho_columnas[8], 10, $row['fecha_nacimiento'], 1, 0, 'L', 1);
  
  $pdf->Cell($ancho_columnas[9], 10, $row['profesion'], 1, 0, 'L', 1);
  $pdf->Cell($ancho_columnas[10], 10, $row['nacionalidad'], 1, 0, 'L', 1);
  $pdf->Cell($ancho_columnas[11], 10, $edad, 1, 0, 'L', 1);
  $pdf->Cell($ancho_columnas[12], 10, $capitalsuscrito, 1, 0, 'L', 1); 
  $pdf->Cell($ancho_columnas[13], 10, $CapitalIntegrado, 1, 1, 'L', 1); // Cerrando la fila
  $linea++;
}

// Salida del PDF
$pdf->Output('reporte_socios.pdf', 'I'); // 'I' para mostrar en navegador, 'D' para descargar







function obtener_capital($conn, $id_cliente)
{

  // Definir y inicializar las variables
  $capital_suscrito = 0;   // Inicializar capital suscrito
  $capital_integrado = 0;   // Inicializar capital integrado


  $sql = "SELECT  *
  from cuenta_corriente 
  where id_cliente    = :id_cliente
  and id_empresa      = :id_empresa 
  and clase_documento = :clase_documento";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(
    ':id_cliente' =>  $id_cliente,
    ':id_empresa' =>  $_SESSION['id_empresa'],
    ':clase_documento' => 'AP'
  ));
  $resultado = $stmt->fetchAll();
  if ($resultado) {
    $deudas = [];
    foreach ($resultado as $row) {

      $capital_suscrito += $row['importe'];


      if ($row['estado'] == 1) {
        $capital_integrado += $row['importe'];
      }
    }

     // Retornar los valores calculados
     return [
      'capital_suscrito' => $capital_suscrito,
      'capital_integrado' => $capital_integrado
  ];


  }
}
