<?php

require_once('../joajurehegua.php');
if (!validateCsrfToken()) {
  echo "<center>Error: Token CSRF inválido</center>";
  echo '<h2><center><a href="../login.php">Login...</a></center></h2>';
  exit();
}
if (!empty($_GET['id'])) {
  $id = $_GET['id'];
  $sql = "SELECT  a.*
          from tipo_credito as a
          where a.id = :id ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id));
  $resultado = $stmt->fetch();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="row">
  <div class="container-fluid">


    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Modificar</h3>
      </div>
      <!-- /.card-header -->
      <!-- form start -->
      <form action="<?php echo basename(__FILE__); ?>" method="post" enctype="multipart/form-data">
        <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">
        
        <div class="card-body">

          <div class="form-group">
            <label for="id">ID </label>
            <input type="text" class="form-control form-control-sm" id="id" name="id" value="<?php echo $resultado['id']; ?>" readonly>
          </div>

          <div class="form-group">
            <label for="nombre">Nombre </label>
            <input type="text" class="form-control form-control-sm" id="nombre" name="nombre" value="<?php echo $resultado['nombre']; ?>">
          </div>

          <div class="form-group">
            <label for="tipo_calculo">Calculo</label>
            <select type="text" name="tipo_calculo" id="tipo_calculo" class="form-control form-control-sm needValidate">
              <option value="<?php echo $resultado['tipo_calculo']; ?>">Seleccione</option>
              <option value="Frances">Frances</option>
              <option value="Americano">Americano</option>
              <option value="Aleman">Aleman</option>
            </select>
          </div>

          <div class="form-group">
            <label for="dias_vencimiento">Días de Vencimiento</label>
            <input type="number" class="form-control form-control-sm needValidate" id="dias_vencimiento" name="dias_vencimiento" value="<?php echo $resultado['dias_vencimiento']; ?>">
          </div>

          <div class="form-group">
            <label for="porc_interes">%Interes </label>
            <input type="text" class="form-control form-control-sm needValidate" id="porc_interes" name="porc_interes" value="<?php echo $resultado['porc_interes']; ?>">
          </div>

          <div class="form-group">
            <label for="minimo">Monto Mínimo</label>
            <input type="text" class="form-control form-control-sm needValidate" id="minimo" name="minimo" value="<?php echo $resultado['minimo']; ?>" >
          </div>

          <div class="form-group">
            <label for="maximo">Monto Máximo</label>
            <input type="text" class="form-control form-control-sm needValidate" id="maximo" name="maximo" value="<?php echo $resultado['maximo']; ?>" >
          </div>

          <div class="form-group">
            <label for="porc_ga">%GA(Gastos Administrativo)</label>
            <input type="text" class="form-control form-control-sm needValidate" id="porc_ga" name="porc_ga" value="<?php echo $resultado['porc_ga']; ?>">
          </div>

          <div class="form-group">
            <label for="plazo">Plazo/Meses/Dias</label>
            <input type="number" class="form-control form-control-sm needValidate" id="plazo" name="plazo" value="<?php echo $resultado['plazo']; ?>">
          </div>

          <div class="form-group">
            <label for="porc_go">%Gasto Operacional</label>
            <input type="number" class="form-control form-control-sm needValidate" id="porc_go" name="porc_go" value="<?php echo $resultado['porc_go']; ?>">
          </div>

          <div class="form-group">
            <label for="porc_sc">% Seguro Crédito</label>
            <input type="number" class="form-control form-control-sm needValidate" id="porc_sc" name="porc_sc" value="<?php echo $resultado['porc_sc']; ?>">
          </div>

          <div class="form-group">
            <label for="id_empresa">Empresa</label>
            <select type="text" name="id_empresa" id="id_empresa" class="form-control form-control-sm needValidate">
              <option value="<?php echo $resultado['id_empresa']; ?>">Seleccione</option>
              <?php
              $sql_emp = "SELECT  * from empresas   order by id ASC ";
              $stmt = $conn->prepare($sql_emp);
              $stmt->execute();
              $resultado_emp = $stmt->fetchAll();
              foreach ($resultado_emp as $row_emp) {
                echo "<option value=" . $row_emp['id'] . ">" . $row_emp['id'] . "-" . $row_emp['nombre_empresa'] . "</option>";
              }
              ?>
            </select>
          </div>


          <div class="form-group">
            <label for="estado">Estado</label>
            <select type="text" name="estado" id="estado" class="form-control">
              <option value="<?php echo $resultado['estado']; ?>">Seleccione</option>
              <?php
              $sql_es = "SELECT  * from estado   order by id ASC ";
              $stmt = $conn->prepare($sql_es);
              $stmt->execute();
              $resultado_es = $stmt->fetchAll();
              foreach ($resultado_es as $row_es) {
                echo "<option value=" . $row_es['id'] . ">" . $row_es['nombre'] . "</option>";
              }
              ?>
            </select>
          </div>






        </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" name="guardar" class="btn btn-primary">Guardar</button>
        </div>
      </form>
    </div>








  </div>
  <!-- /.content -->
</div>


<?php
if (isset($_POST['guardar'])) {

  $sql = "UPDATE tipo_credito SET           
                                  id_empresa        = :id_empresa, 
                                  nombre            = :nombre, 
                                  dias_vencimiento  = :dias_vencimiento, 
                                  tipo_calculo      = :tipo_calculo, 
                                  estado            = :estado, 
                                  id_usuario        = :id_usuario, 
                                  fecha             = :fecha, 
                                  hora              = :hora, 
                                  minimo            = :minimo, 
                                  maximo            = :maximo, 
                                  plazo             = :plazo, 
                                  porc_interes      = :porc_interes, 
                                  porc_ga           = :porc_ga, 
                                  porc_go           = :porc_go, 
                                  porc_sc           = :porc_sc
                                                                       
                                 WHERE id           = :id ";


  try {

    $stmt = $conn->prepare($sql);
    $stmt->execute(array(

      ':id_empresa'       => $_POST['id_empresa'],
      ':nombre'           => $_POST['nombre'],
      ':dias_vencimiento' => $_POST['dias_vencimiento'],
      ':tipo_calculo'     => $_POST['tipo_calculo'],
      ':estado'           => $_POST['estado'],
      ':id_usuario'       => $_SESSION['id_usuario'],
      ':fecha'            => date("Y-m-d"),
      ':hora'             => date("H:i:s"),
      ':minimo'           => $_POST['minimo'],
      ':maximo'           => $_POST['maximo'],
      ':plazo'            => $_POST['plazo'],
      ':porc_interes'     => $_POST['porc_interes'],
      ':porc_ga'          => $_POST['porc_ga'],
      ':porc_go'          => $_POST['porc_go'],
      ':porc_sc'          => $_POST['porc_sc'],
      ':id'               => $_POST['id']
    ));


    //echo "Datos Modificado";
    //echo '<script language="javascript">alert("Modificado");window.location.href="../../login.php"</script>';
    echo '<script language="javascript">window.location.href="reporte_tipo_credito.php"</script>';
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));

    var_dump($Exception);

    exit();
    //echo '<script language="javascript">alert("No se pudo Modificar");window.location.href="reporte_tipo_contacto.php"</script>';
    //echo '<script language="javascript">alert("No se pudo Actualizar");window.location.href="?n=1"</script>';
  }


}

?>

