<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Nueva Empresa";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Empresa</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Inicio</a></li>
            <li class="breadcrumb-item active">Nuevo Empresa</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>

  <!-- Main content -->
  <section class="content">

    <!-- Default box -->
    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
            <i class="fas fa-minus"></i>
          </button>
          <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
            <i class="fas fa-times"></i>
          </button>
        </div>
      </div>



      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">Empresa</h3>
        </div>
        <!-- /.card-header -->
        <!-- form start -->
        <form>
          <div class="card-body">

            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <label for="empresa">Nombre Empresa</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="empresa" name="empresa" placeholder="">
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="empresa_ruc">RUC Empresa</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="empresa_ruc" name="empresa_ruc" placeholder="">
                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="empresa_direccion">Dirección</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="empresa_direccion" name="empresa_direccion" placeholder="">
                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="empresa_telefono">Telefono</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="empresa_telefono" name="empresa_telefono" placeholder="">
                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="correo">Correo</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="correo" name="correo" placeholder="">
                </div>
              </div>



              <div class="col-md-3">
                <div class="form-group">
                  <label for="representante">Representante</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="representante" name="representante" placeholder="">
                </div>
              </div>


            </div>


            <div class="form-group">
              <label for="exampleInputFile">Logo Empresa</label>
              <div class="input-group">
                <div class="custom-file">
                  <input type="file" class="custom-file-input" id="exampleInputFile">
                  <label class="custom-file-label" for="exampleInputFile">Elegir Logo</label>
                </div>

              </div>
            </div>


          </div>
          <!-- /.card-body -->

          <div class="card-footer">
            <!--
                  <button type="submit" class="btn btn-primary">Guardar</button>
                   -->
            <button type="button" class="btn btn-primary" onclick="guardar()" data-dismiss="modal">Agregar</button>
          </div>
        </form>
      </div>






      <div id="responseMessage"></div>
      <!-- /.card-body -->
      <div class="card-footer">
        Footer
      </div>
      <!-- /.card-footer-->
    </div>
    <!-- /.card -->

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>


<script>
  // Función para validar que los campos no estén vacíos
  function validarCampos() {
    // Variable para verificar si todos los campos son válidos
    let valid = true;

    // Selecciona todos los campos que necesitan validación (con clase 'needValidate')
    const campos = document.querySelectorAll('.needValidate');

    // Recorre cada campo y añade un listener para quitar el error al enfocarlo
    campos.forEach(function(input) {
      input.addEventListener('focus', function() {
        if (this.classList.contains('is-invalid')) {
          this.classList.remove('is-invalid'); // Quitar clase de error al hacer focus
        }
      });
    });

    // Recorre cada campo y verifica si está vacío
    campos.forEach(function(campo) {
      if (campo.value.trim() === "") {
        campo.classList.add('is-invalid'); // Añadir clase para marcar en rojo
        valid = false; // Marcar que hay un error
      } else {
        campo.classList.remove('is-invalid'); // Quitar clase si no está vacío
      }
    });

    // Si hay campos vacíos, mostrar una notificación
    if (!valid) {
      new Notify({
        status: 'warning',
        title: 'Completar todos los datos',
        text: 'Debe ingresar todos los campos obligatorios',
        effect: 'slide',
        type: 'filled',
        position: 'right bottom'
      });
      return false; // Detener la ejecución si hay campos vacíos
    }

    // Si no hay errores, retorna true
    return true;
  }


  function guardar() {


    if (!validarCampos()) {
      return; // Si la validación falla, detener la ejecución
    }

    const empresa = $('#empresa').val();
    const empresa_ruc = $('#empresa_ruc').val();
    const empresa_direccion = $('#empresa_direccion').val();
    const empresa_telefono = $('#empresa_telefono').val();
    const correo = $('#correo').val();
    const representante = $('#representante').val();




    console.log(empresa);

    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'postData.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: JSON.stringify({
        tipo: 'empresa',
        empresa: empresa,
        empresa_ruc: empresa_ruc,
        empresa_direccion: empresa_direccion,
        empresa_telefono: empresa_telefono,
        correo: correo,
        representante: representante
      }),
      // data: {tipo: "empleado", id: doc}
      contentType: 'application/json',
      success: function(response) {

        $('#responseMessage').html('<p>Datos guardado</p>');
        console.log('Datos guardados con éxito:', response);


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al guardar los datos</p>');
        console.error('Error al guardar los datos:', error);
      }
    });





  }
</script>