<?php
require('../../fpdf/fpdf.php');
require('../funciones/funciones.php');

class PDF extends FPDF
{
    
private $empresa;  
private $mobCab;
private $cliente;

private $movimientos;
private $fecha;

public function setFecha($fecha)
{
    $this->fecha = $fecha;
}
public function setEmpresa($empresa)
{
    $this->empresa = $empresa;
}
public function setConcepto($mobCab)
{
    $this->mobCab = $mobCab;
}
public function setCliente($cliente)
{
    $this->cliente = $cliente;
}
public function setItems($movimientos)
{
    $this->movimientos = $movimientos;
}


function Header() {
    // Caja izquierda con logo y texto
    $this->SetFont('Arial', 'B', 10);
    $this->SetDrawColor(0, 0, 0);
    $this->SetFillColor(255, 255, 255);

    // Caja izquierda
    $this->SetXY(10, 10);
    $this->Cell(120, 30, '', 1, 0, 'L', true); // Caja vacía para logo y texto
     $this->Image('http://localhost/adminlte/imagenes/logo_documento.png', 15, 12, 20); // Cambia 'logo.png' por el nombre de tu archivo de logo
    $this->SetXY(40, 12);
    $this->SetFont('Arial', 'B', 12);
    $this->Cell(80, 6, 'COOPERATIVA 28 DE FEBRERO Ltda.', 0, 2, 'L');
    $this->SetFont('Arial', '', 8);
    $this->Cell(80, 5, utf8_decode('Pers. Jurid. Nº 20.313419 Certif. Inscrip. INCOOP Nº 1.176'), 0, 2, 'L');
    $this->Cell(80, 5, 'Julia Miranda Cueto c/ Gral. Genes - San Lorenzo - Paraguay', 0, 2, 'L');
    $this->Cell(80, 5, utf8_decode('Correo electrónico: coop28defebrero@gmail.com'), 0, 2, 'L');
    $this->Cell(80, 5, 'Tel: 0985 285 631', 0, 2, 'L');

    // Caja derecha
    $this->SetXY(130, 10);
    $this->Cell(70, 30, '', 1, 0, 'C', true); // Caja derecha
    $this->SetXY(132, 12);
    $this->SetFont('Arial', '', 10);
    $this->Cell(66, 6, 'RUC: '.$this->empresa['ruc'], 0, 2, 'C');
    $this->SetFont('Arial', 'B', 12);
    $this->Cell(66, 10, 'RECIBO DE DINERO', 0, 2, 'C');
    $this->SetFont('Arial', '', 10);
    $this->Cell(66, 6, utf8_decode('N°').$this->mobCab['referencia'], 0, 2, 'C');
}
function addMainDetails()
{
    // Agregar un rectángulo para el borde general
    $this->Rect(10, 40, 190, 30);

    // Configuración inicial
    $this->SetFont('Arial', '', 9);

    // Primera fila
    $this->SetXY(12, 42);
    $this->SetFont('Arial', 'B', 8);
    $this->Cell(25, 5, 'Fecha de Emision:', 0, 0);
    $this->SetFont('Arial', '', 8);
    $this->Cell(45, 5, $this->mobCab['fecha'], 0, 0);
    $this->Cell(55, 5, "Cajero/a: ".$this->mobCab['nombres'] ." ".$this->mobCab['apellidos'], 0, 0);
    $this->SetFont('Arial', 'B', 8);
    $this->Cell(25, 5, 'Hora Imp.:', 0, 0, 'R');
    $this->SetFont('Arial', '', 8);
    $this->Cell(15, 5, $this->mobCab['hora'], 0, 0);
    $this->SetFont('Arial', 'B', 8);
    $this->Cell(15, 5, 'Contado', 0, 1, 'R');
    $this->SetFont('Arial', '', 8);

    // Segunda fila
    $this->SetX(12);
    $this->SetFont('Arial', 'B', 8);
    $this->Cell(35, 5, 'Cedula / R.U.C.:', 0, 0);
    $this->SetFont('Arial', '', 8);
    $this->Cell(45, 5, $this->cliente['cedula'], 0, 0);
    $this->SetFont('Arial', 'B', 8);
    $this->Cell(55, 5, 'Telefono: '.$this->cliente['celular'], 0, 0);
    $this->Cell(25, 5, 'Nro. Socio:', 0, 0, 'R');
    $this->SetFont('Arial', '', 8);
    $this->Cell(15, 5, $this->cliente['nro_socio'], 0, 1, 'R');

    // Tercera fila
    $this->SetX(12);
    $this->SetFont('Arial', 'B', 8);
    $this->Cell(35, 5, 'Nombre o Razon Social:', 0, 0);
    $this->SetFont('Arial', '', 8);
    $this->Cell(155, 5, $this->cliente['primer_nombre'].' '.$this->cliente['segundo_nombre'].' '.$this->cliente['primer_apellido'].' '.$this->cliente['segundo_apellido'], 0, 1);

    // Cuarta fila
    $this->SetX(12);
    $this->SetFont('Arial', 'B', 8);
    $this->Cell(35, 5, 'Direccion:', 0, 0);
    $this->SetFont('Arial', '', 8);
    $this->MultiCell(155, 5, $this->cliente['direccion']);
}
function addPaymentDetails()
{
     // Configurar el color de fondo (gris claro)
    $this->SetFillColor(220, 220, 220);
    // Encabezados de la tabla
    $this->SetXY(10, $this->GetY() + 2); // Incrementamos 5 para evitar el solapamiento
    $this->SetFont('Arial', 'B', 10);
    $this->Cell(20, 10, 'Codigo', 1, 0, 'C', true);
    $this->Cell(120, 10, 'Concepto', 1, 0, 'C', true);
    $this->Cell(50, 10, 'Importe', 1, 1, 'C', true);

    // Datos de la tabla
    $this->SetFont('Arial', '', 10);
    if (!empty($this->movimientos)) {
        foreach ($this->movimientos as $item) {
            $this->Cell(20, 10, $item['id'], 'L', 0, 'C'); // Borde izquierdo
            $this->Cell(120, 10, $item['texto_posicion'], 0, 0, 'L'); // Sin bordes
            $this->Cell(50, 10, number_format($item['importe'],0,'','.'), 'R', 1, 'R'); // Borde derecho
        }
    }

// Total a pagar (estilo actual, con celdas separadas y bordes externos)
$this->SetFont('Arial', 'B', 10);
$this->Cell(140, 10, 'TOTAL A PAGAR', 1, 0, 'L'); // Celda izquierda con bordes externos
$this->Cell(50, 10, number_format($this->mobCab['importe'],0,'','.'), 1, 1, 'R');        // Celda derecha con bordes externos
//number_format($item['importe'],0,'','.')
// Total a pagar en letras (sin separaciones internas, borde externo completo)
$this->SetFont('Arial', 'B', 10);
$this->Cell(190, 10, 'Guaranies:'.numtoletras($this->mobCab['importe']), 1, 1, 'L'); // Fila completa, sin divisiones

}
    function Footer()
    {
        // Posición a 1.5 cm del final
        $this->SetY(-15);
        $this->SetFont('Arial', 'I', 8);
        $this->Cell(0, 10, 'Página ' . $this->PageNo(), 0, 0, 'C');
    }
}
// Crear PDF
$mobCab= verMobCab($_POST['nro_documento']);
$empresa = verDetalleEmpresa();
$cliente = clienteFactura($mobCab['id_cliente']);
$movimientos = verMobItem($mobCab['nro_documento']);

// Crear el PDF
$pdf = new PDF();

// Verifica si se obtuvieron datos
if (!empty($empresa)) {
    $pdf->setEmpresa($empresa); // Pasa los datos a la clase
}
// Verifica si se obtuvieron datos
if (!empty($cliente)) {
    $pdf->setCliente($cliente); // Pasa los datos a la clase
}
// Verifica si se obtuvieron datos
if (!empty($mobCab)) {
    $pdf->setConcepto($mobCab); // Pasa los datos a la clase
}
// Verifica si se obtuvieron datos
if (!empty($movimientos)) {
    $pdf->setItems($movimientos); // Pasa los datos a la clase
}
// Configurar la fecha en español
/*$dia = date('j');
$mes = date('n');
$anio = date('Y');
$meses = [
    1 => 'ENERO',
    2 => 'FEBRERO',
    3 => 'MARZO',
    4 => 'ABRIL',
    5 => 'MAYO',
    6 => 'JUNIO',
    7 => 'JULIO',
    8 => 'AGOSTO',
    9 => 'SEPTIEMBRE',
    10 => 'OCTUBRE',
    11 => 'NOVIEMBRE',
    12 => 'DICIEMBRE'
];*/
//$fecha_formateada = "$dia DE " . $meses[$mes] . " DE $anio";

// Pasar la fecha a la clase PDF
$pdf->setFecha($fecha_formateada);

$pdf->AddPage();
$pdf->SetFont('Arial', '', 12);
// Agregar sección de detalles principales
$pdf->addMainDetails();
// Agregar sección de detalles principales
$pdf->addPaymentDetails();

$pdf->AddPage('P', 'Legal'); // 'P' es para 
// Guardar el archivo PDF
$pdf->Output('recibo.pdf', 'I');
?>